﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Anritsu MS2721B: (1 yr) VER /9640A,8720,437,LO,SWPG
DATE:                  2017-02-10 06:53:59
AUTHOR:                Fluke
REVISION:              $Revision: 18253 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       604
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
CONFIGURATION:         HP 437B
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
STANDARD:              Agilent 8481A
STANDARD:              Agilent 8481D
STANDARD:              HP 8720C
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B, incl. Options 20 (Tracking Generator) and 31 (GPS)
#
#  Source:
#        Anritsu Spectrum Master(TM), Model MS2721B Maintenance Manual,
#          P/N 10580-00177, Revision A, Printed October 2007
#
#  Additional Equipment Required:
#        Power Splitter, Type N, 50 Ohms, DC to 18 GHz, Isolation >18 dB,
#          Insertion loss: <1 dB, Tracking: ±0.15 dB HP/Agilent 11667A or
#          equivalent
#        Kit, Calibration, Type N, 50 Ohms, applicable for use with 8720C
#          Network Analyzer, HP 85054D or equivalent
#        Attenuator, Fixed, Type N, 50 Ohms, 20 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-20 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 6 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-6 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 2 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-2 or equivalent, 2 ea.
#        Termination, Type N (m), 50 Ohms, DC to 18 GHz, Anritsu 28N50-2 or
#          equivalent
#        Cable, Precision, Type N (m)-(f), 50 Ohms, DC to 18 GHz, Return Loss
#          Match: 17 dB, Insertion Loss (18 GHz): 2.7 dB, Length: 1.5 m
#          Anritsu 15NNF50-1.5B or equivalent
#        Adapter, Type N (m) to Type N (m), 50 Ohms, DC to 18 GHz, Anritsu
#          Model 34NN50A or equivalent
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J             C                     V
# Note, ASK+ K is necessary for measurement uncertainty.
  1.002  ASK+           K

# The following statement(s) are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.003  IF           0
  1.004  9640         Level = 0 dBm; +Freq = 4 GHz; OutputImp = 50 Ohms
  1.005  IEEE         [@LO]
  1.006  IEEE         [@SWPG]
  1.007  IEEE         [@HFCTR]
  1.008  ENDIF

  1.009  MATH         @ReqMetCalVersion = "7.20Z"
  1.010  CALL         Sub MET/CAL Version Check

  1.011  IF           NOT(@MetCalVersionOK)
  1.012  DISP         This procedure requires MET/CAL 7.20 SP3 (7.20Z)
  1.012  DISP         or later.
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         30 minutes, in an environment of 10°C to 40°C
  1.017  DISP         has been allowed to elapse, prior to proceeding.
  1.017  DISP
  1.017  DISP         Ensure specified warm-up time(s) for required
  1.017  DISP         reference devices has been satisfied.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.018  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.019  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.020  DISP         The file parameter setting is: "acc_check=no"
  1.020  DISP
  1.020  DISP         For correct procedure execution, this parameter
  1.020  DISP         MUST be set to: "acc_check=yes"
  1.020  DISP
  1.020  DISP         Select "Advance" to terminate the procedure, exit
  1.020  DISP         MET/CAL®, change the initialization file parameter,
  1.020  DISP         restart MET/CAL, then restart the procedure.
  1.021  END
  1.022  ENDIF

  1.023  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.024  CALL         Sub Select Failed Test Mode
  1.025  CALL         Sub Select Verification Method

  1.026  HEAD         CONNECTION INFORMATION
  1.027  OPBR         -z Do you wish to review connector information and
  1.027  OPBR         precautions for the various types of connections
  1.027  OPBR         employed throughout this procedure?[NO]

  1.028  IF           MEM1
  1.029  CALL         Sub Connector Precautions (Type N)
  1.030  CALL         Sub Connector Precautions (SMA)
  1.031  ENDIF

  1.032  HEAD         PROCEDURE DESCRIPTION
  1.033  DISP         This procedure supports the MS2721B SpectrumMaster®
  1.033  DISP         Spectrum Analyzer and the following options:
  1.033  DISP
  1.033  DISP         - 20 Tracking Generator
  1.033  DISP         - 31 GPS receiver
  1.033  DISP
  1.033  DISP         [32]                       NOTE
  1.033  DISP         Many available UUT options do not require periodic
  1.033  DISP         verification.

  1.034  MATH         @VisaLAN = 1
  1.035  CALL         Sub UUT Connection VISA

  1.036  HEAD         UUT IDENTIFICATION
  1.037  CALL         Sub Anritsu MS272xB IEEE-488.2 Id Query VISA

# Make sure correct UUT is connected.
  1.038  IF           NOT(ZCMPI(@ModelNum, "MS2721B"))
  1.039  HEAD         INCORRECT UUT/PROCEDURE SELECTION!
  1.040  DISP         The UUT and the selected procedure do not match!
  1.040  DISP
  1.040  DISP         The UUT is a [V @Manufacturer] [V @ModelNum] and
  1.040  DISP         the procedure is for an Anritsu® MS2721B.
  1.040  DISP
  1.040  DISP         Please select "Advance" to terminate and select
  1.040  DISP         the proper procedure.
  1.041  END
  1.042  ENDIF

  1.043  VISA         INST:SEL?[I$]

  1.044  IF           NOT(ZCMPI(MEM2, "\"SPA\""))
  1.045  MATH         @Mode = MEM2
  1.046  VISA         INST:SEL "SPA"
  1.047  WAIT         -t 45 Changing to UUT Spectrum Analyzer application...
  1.048  ENDIF

  1.049  CALL         Sub Initialize /LO
  1.050  CALL         Sub Initialize /SWPG
  1.051  CALL         Sub Initialize /HFCTR

  1.052  HEAD         EQUIPMENT REQUIREMENTS
# Look up instrument name of external frequency reference.
  1.053  MATH         @FreqRef = INI("startup", "FreqRefDevName")
# Required timebase uncertainty (in ppm).
  1.054  MATH         FreqAcc = 0.075

  1.055  IF           EMPTY(@FreqRef)
  1.056  DISP         No Frequency Reference is currently configured.
  1.056  DISP
  1.056  DISP         Select Configure=>Instrument and ensure that the device
  1.056  DISP         you intend to use as the frequency reference is
  1.056  DISP         configured.
  1.056  DISP
  1.056  DISP         Then select Configure=>Frequency Reference, and select
  1.056  DISP         that device.
  1.057  END
  1.058  ENDIF

  1.059  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.059  OPBR         additional equipment and/or accessories required?

  1.060  IF           MEM1
  1.061  HEAD         FLEXIBLE STANDARDS

  1.062  IF           @Opt020
  1.063  MATH         HF = @HFCTR_ChHF
  1.064  DISP         The minimum use specifications of the following devices,
  1.064  DISP         configured as flexible standards, must be satisfied.
  1.064  DISP
  1.064  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.064  DISP
  1.064  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.064  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.064  DISP         [32]HF Counter          HFCTR  [V @HFCTR_DevName] [V HF]

  1.065  ELSE

  1.066  DISP         The minimum use specifications of the following devices,
  1.066  DISP         configured as flexible standards, must be satisfied.
  1.066  DISP
  1.066  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.066  DISP
  1.066  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.066  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.067  ENDIF

  1.068  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  1.069  OPBR         -z SWPG: [V @SWPG_DevName]
  1.069  OPBR
  1.069  OPBR         Minimum Use Specifications:
  1.069  OPBR         [32] Frequency Range: 10 MHz to 8 GHz, CW
  1.069  OPBR         [32]   Accuracy:
  1.069  OPBR         [32]     Internal: ±1 ppm or better
  1.069  OPBR         [32]     External: ±[V FreqAcc] ppm or better (based on
  1.069  OPBR         [32]               external frequency reference)
  1.069  OPBR
  1.069  OPBR         [32] Amplitude Range: -40 dBm to +16 dBm
  1.069  OPBR         [32]   Accuracy: ±1 dB or less
  1.069  OPBR         [32]   Resolution: 0.05 dB
  1.069  OPBR
  1.069  OPBR         [32] SSB Phase Noise:
  1.069  OPBR         [32]   >= 100 kHz offset: <-79 dBc/Hz
  1.069  OPBR
  1.069  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  1.069  OPBR         Use Specifications?
  1.070  MATH         SWPG = MEM1

  1.071  HEAD         -2 Local Oscillator (LO)
  1.072  OPBR         -z LO: [V @LO_DevName]
  1.072  OPBR
  1.072  OPBR         Minimum Use Specifications:
  1.072  OPBR         [32] Frequency Range: 10 MHz to 8 GHz, CW
  1.072  OPBR         [32]   Accuracy:
  1.072  OPBR         [32]     Internal: ±1 ppm or better
  1.072  OPBR         [32]     External: ±[V FreqAcc] ppm or better (based on
  1.072  OPBR         [32]               external frequency reference)
  1.072  OPBR
  1.072  OPBR         [32] Amplitude Range: -40 dBm to +16 dBm
  1.072  OPBR         [32]   Accuracy: ±1 dB or less
  1.072  OPBR         [32]   Resolution: 0.05 dB
  1.072  OPBR
  1.072  OPBR         [32] SSB Phase Noise:
  1.072  OPBR         [32]    10 kHz offset: <-106 dBc/Hz
  1.072  OPBR         [32]    20 kHz offset: <-106 dBc/Hz
  1.072  OPBR         [32]    30 kHz offset: <-106 dBc/Hz
  1.072  OPBR         [32]   100 kHz offset: <-108 dBc/Hz
  1.072  OPBR
  1.072  OPBR         Does the [V @LO_DevName] satisfy the above Minimum
  1.072  OPBR         Use Specifications?
  1.073  MATH         LO = MEM1

  1.074  IF           @Opt020
  1.075  HEAD         -2 HF Counter (HFCTR)
  1.076  OPBR         -z HFCTR: [V @HFCTR_DevName]
  1.076  OPBR
  1.076  OPBR         Minimum Use Specifications:
  1.076  OPBR         [32] [V HF] Frequency Range: 1 GHz
  1.076  OPBR         [32]   Accuracy: ±[V FreqAcc] ppm or better (based on
  1.076  OPBR         [32]             external frequency reference)
  1.076  OPBR
  1.076  OPBR         Does the [V @HFCTR_DevName] satisfy the above Minimum
  1.076  OPBR         Use Specifications?
  1.077  MATH         HFCTR = MEM1
  1.078  ENDIF

  1.079  HEAD         -2 External Frequency Reference (XREF)
  1.080  OPBR         -z XREF: [V @FreqRef]
  1.080  OPBR
  1.080  OPBR         Minimum Use Specifications:
  1.080  OPBR         [32]   Accuracy: [V FreqAcc] ppm/year
  1.080  OPBR
  1.080  OPBR         Does the [V @FreqRef] satisfy the above Minimum Use
  1.080  OPBR         Specifications?
  1.081  MATH         XREF = MEM1

  1.082  HEAD         -2

  1.083  IF           NOT(SWPG)
  1.084  DISP         Currently configured SWPG (Sweep Generator):
  1.084  DISP
  1.084  DISP         [32][V @SWPG_DevName]
  1.084  DISP
  1.084  DISP         does not satisfy procedure Minimum Use Specifications.
  1.085  ENDIF

  1.086  IF           NOT(LO)
  1.087  DISP         Currently configured LO (Local Oscillator):
  1.087  DISP
  1.087  DISP         [32][V @LO_DevName]
  1.087  DISP
  1.087  DISP         does not satisfy procedure Minimum Use Specifications.
  1.088  ENDIF

  1.089  IF           NOT(HFCTR) && @Opt020
  1.090  DISP         Currently configured HFCTR (HF Counter):
  1.090  DISP
  1.090  DISP         [32][V @HFCTR_DevName]
  1.090  DISP
  1.090  DISP         does not satisfy procedure Minimum Use Specifications.
  1.091  ENDIF

  1.092  IF           NOT(XREF)
  1.093  DISP         Currently configured XREF (Ext Frequency Reference):
  1.093  DISP
  1.093  DISP         [32][V @FreqRef]
  1.093  DISP
  1.093  DISP         does not satisfy procedure Minimum Use Specifications.
  1.094  ENDIF

  1.095  IF           NOT(SWPG) || NOT(LO)  || NOT(HFCTR) || NOT(XREF)
  1.096  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.097  DISP         Flexible Standard(s) currently configured for use with
  1.097  DISP         this procedure have been identified as not satisfying
  1.097  DISP         the Minimum Use Specifications.
  1.097  DISP
  1.097  DISP         Select "Advance" to abort procedure, configure suitable
  1.097  DISP         device(s) to replace those identified, then restart the
  1.097  DISP         procedure from the beginning.
  1.098  END
  1.099  ENDIF

  1.100  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  1.101  HEAD         -2 Page 1 of 2
  1.102  DISP         - Power Splitter, Type N, 50 Ohms, DC to 18 GHz,
  1.102  DISP         [32] Isolation >18 dB, Insertion loss: <1 dB, Tracking:
  1.102  DISP         [32] ±0.15 dB; HP/Agilent® 11667A or equivalent
  1.102  DISP         - Kit, Calibration, Type N, 50 Ohms, applicable for use
  1.102  DISP         [32] with HP® 8720C Network Analyzer, HP 85054B or
  1.102  DISP         [32] equivalent
  1.102  DISP         - Adapter Set, Type N, Special, 50 Ohms, applicable for
  1.102  DISP         [32] use with HP 8720C Network Analyzer, HP 85130C or
  1.102  DISP         [32] equivalent
  1.102  DISP         - Attenuator, Fixed, Type N, 50 Ohms, 20 dB,
  1.102  DISP         [32] DC to 18 GHz, Aeroflex®/Weinschel Model 44-20 or
  1.102  DISP         [32] equivalent, 2 ea.
  1.102  DISP         - Attenuator, Fixed, Type N, 50 Ohms, 6 dB,
  1.102  DISP         [32] DC to 18 GHz, Aeroflex/Weinschel® Model 44-6 or
  1.102  DISP         [32] equivalent, 2 ea.
  1.102  DISP         - Attenuator, Fixed, Type N, 50 Ohms, 2 dB, DC to
  1.102  DISP         [32] 18 GHz, Aeroflex/Weinschel Model 44-2 or
  1.102  DISP         [32] equivalent, 2 ea.
  1.102  DISP         - Termination, Type N (m), 50 Ohms, DC to 18 GHz,
  1.102  DISP         [32] Anritsu® 28N50-2 or equivalent

  1.103  HEAD         -2 Page 2 of 2
  1.104  DISP         - Cable, Precision, Type N (m)-(f), 50 Ohms, DC to
  1.104  DISP         [32] 18 GHz, Return Loss Match: 17 dB, Insertion Loss
  1.104  DISP         [32] (18 GHz): 2.7 dB, Length: 1.5 m; Anritsu
  1.104  DISP         [32] 15NNF50-1.5B or equivalent
  1.104  DISP         - Adapter, Type N (m) to Type N (m), 50 Ohms, DC to
  1.104  DISP         [32] 18 GHz, Anritsu Model 34NN50A or equivalent
  1.104  DISP         - Adapter, K (m) to Type N (f), 50 Ohms, DC to
  1.104  DISP         [32] 18 GHz, Anritsu Model 34RKNF50 or equivalent
  1.104  DISP         - Adapter, Type "N" (m)-3.5 (m), 50 Ohms, DC to 8 GHz,
  1.104  DISP         [32] 3 ea.
  1.104  DISP         - Adapter, Type "N" (m)-3.5 (f), 50 Ohms, DC to 8 GHz
  1.104  DISP         - Cable assy., Type "N" (m)-(m), 50 Ohms, DC to 8 GHz,
  1.104  DISP         [32] 36"
  1.104  DISP         - Cable assy., BNC (m)-(m), 50 Ohms, 36", 2 ea.
  1.105  ENDIF

  1.106  HEAD         -2 Select Power Splitter
  1.107  MATH         @LbTitle = "Power Splitter Type Selection"
  1.108  MEM2         =Select REQUIRED Agilent 11667A Power Splitter below:
  1.109  MATH         @LbText = MEM2
  1.110  CALL         Sub Select Configured Manual Standard

  1.111  IF           @Error
  1.112  HEAD         PROCEDURE ABORTED!
  1.113  HEAD         -2
  1.114  DISP         Error: Required device not selected.
  1.115  END
  1.116  ELSE
  1.117  MATH         @PowSpltr = @Device
  1.118  ENDIF

  1.119  HEAD         POWER METER CAL FACTORS
  1.120  HEAD         -2 Cal Factor Maintenance
  1.121  OPBR         -z Do you wish to review, enter, or delete HP 437B
  1.121  OPBR         cal factor table entries for the 8481A and/or the
  1.121  OPBR         8481D sensor(s) prior to proceeding?

  1.122  IF           MEM1
  1.123  CALL         Sub HP 437B Cal Factor Utility IEEE
  1.124  ENDIF

  1.125  HEAD         -2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Anritsu MS2721B
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   FREQUENCY ACCURACY TEST            DISPLAYED AVERAGE NOISE LEVEL
#    2.   SSB PHASE NOISE TEST               RESIDUAL SPURIOUS RESPONSE TEST
#    3.   RESOLUTION BANDWIDTH ACCURACY      RESOLUTION BANDWIDTH ACCURACY
#    4.   2ND HARMONIC DISTORTION TEST       2ND HARMONIC DISTORTION TEST
#    5.   THIRD-ORDER INTERCEPT TEST         INPUT RELATED SPURIOUS SIGNALS
#    6.   DISPLAYED AVERAGE NOISE LEVEL      ABSOLUTE AMPLITUDE ACCURACY
#    7.   RESIDUAL SPURIOUS RESPONSE TEST    AMPLITUDE ACROSS FREQUENCY (HF1)
#    8.   INPUT RELATED SPURIOUS SIGNALS     AMPLITUDE ACROSS FREQUENCY (LF)
#    9.   ABSOLUTE AMPLITUDE ACCURACY        FREQUENCY ACCURACY TEST
#   10.   AMPLITUDE ACROSS FREQUENCY (HF1)   SSB PHASE NOISE TEST
#   10a.  AMPLITUDE ACROSS FREQUENCY (HF2)   GPS (Option 31)*
#   10b.  AMPLITUDE ACROSS FREQUENCY (LF)    THIRD-ORDER INTERCEPT TEST
#   11.   RF INPUT VSWR                      AMPLITUDE ACROSS FREQUENCY (HF2)
#   12.   TRACKING GENERATOR (Option 20)     TRACKING GENERATOR (Option 20)*
#   13.   GPS (Option 31)                    RF INPUT VSWR
#
# * If fitted

  1.126  HEAD         FREQUENCY REFERENCE CONNECTIONS
  1.127  DISP         Make the following connections:
  1.127  DISP
  1.127  DISP         [V @FreqRef] 10 MHz OUT to UUT EXT REF IN. Ensure UUT
  1.127  DISP         input level limits of -10 dBm to +10 dBm are observed.
  1.127  DISP
  1.127  DISP         [V @FreqRef] 10 MHz OUT to Fluke 9640A REF FREQUENCY
  1.127  DISP         INPUT.
  1.127  DISP
  1.127  DISP         [V @FreqRef] 10 MHz OUT to [V @LO_DevName]
  1.127  DISP         [V @LO_RefIn].
  1.127  DISP
  1.127  DISP         [V @FreqRef] 10 MHz OUT to [V @SWPG_DevName]
  1.127  DISP         [V @SWPG_RefIn].

  1.128  JMPL         DANL

  1.129  LABEL        FREQUENCY_ACCURACY
  1.130  CALL         Sub MS272xB (1 yr) Frequency Accuracy VER /LO
  1.131  CALL         Sub MS272xB (1 yr) Phase Noise VER /LO
  1.132  JMPL         GPS_RECEIVER                 @Opt031
  1.133  JMPL         THIRD_ORDER

  1.134  LABEL        RESOLUTION_BANDWIDTH
  1.135  CALL         Sub MS272xB (1 yr) Resolution Bandwidth VER VISA /9640
  1.136  CALL         Sub MS272xB (1 yr) 2nd Harm Distortion VER VISA /9640
  1.137  JMPL         INPUT_SPURS

  1.138  LABEL        THIRD_ORDER
  1.139  STD          Agilent 8481A
  1.140  DISP         Connect the 8481A Power Sensor to the HP 437B.
# Retrieve reference cal factor from 437B Table 1.
  1.141  IEEE         [@437]RF1OD[I]
# Table 1 is the default location for 8481A cal factor data; it is also
# supported by the 437B 'cal factor utility' procedure.
  1.142  M437         pct            F32           HP8481A        T1
  1.143  DISP         Connect the 8481A sensor to the POWER REF 1 mW/50 MHz
  1.143  DISP         output.
  1.144  437          1mW                          50MH              CP N
  1.145  CALL         Sub MS272xB (1 yr) TOI VER /437,LO,SWPG
  1.146  MATH         @LowTest = 0
  1.147  JMPL         HF_RESPONSE

  1.148  LABEL        DANL
  1.149  CALL         Sub MS2721B (1 yr) Average Noise Level VER VISA
  1.150  CALL         Sub MS2721B (1 yr) Residual Spurious VER VISA
  1.151  JMPL         RESOLUTION_BANDWIDTH

  1.152  LABEL        INPUT_SPURS
  1.153  CALL         Sub MS2721B (1 yr) Input Related Spurs VER VISA /9640
  1.154  CALL         Sub MS272xB (1 yr) Absolute Amplitude VER VISA /9640
  1.155  CALL         Sub MS2721B (1 yr) HF Response VER VISA /9640
  1.156  JMPL         LF_RESPONSE

  1.157  LABEL        HF_RESPONSE
  1.158  CALL         Sub MS2721B (1 yr) HF Response VER VISA /437,SWPG
  1.159  JMPL         TRACK_GEN_LEVEL              (@Opt020 && NOT(@LowTest))
  1.160  JMPL         TRACK_GEN_FREQ               (@Opt020 && @LowTest)
  1.161  JMPL         VSWR                         @LowTest

  1.162  DISP         Remove the 8481A Power Sensor, replacing it with
  1.162  DISP         the 8481D Power Sensor.
# Retrieve reference cal factor from 437B table 4.
  1.163  IEEE         [@437]RF4OD[I]
# Table 4 is the default location for 8481D cal factor data; it is also
# supported by the 437B 'cal factor utility' procedure.
  1.164  M437         pct            F32           HP8481D        T4
  1.165  DISP         Placing the 11708A 30 dB, 50 MHz Reference Attenuator
  1.165  DISP         in series, connect the sensor to the HP 437B POWER REF
  1.165  DISP         1.00 mW 50 MHz output.
  1.165  DISP
  1.165  DISP         [32]                  WARNING!
  1.165  DISP         Failure to utilize the 11708A 30 dB Attenuator may
  1.165  DISP         cause the 8481D sensor to be subsequently DESTROYED.
  1.165  DISP         Ensure attenuator is inserted prior to proceeding.
  1.166  437          1uW                          50MH              CP N

  1.167  MATH         @LowTest = 1
  1.168  STD          Agilent 8481D
  1.169  JMPL         HF_RESPONSE

  1.170  LABEL        LF_RESPONSE
  1.171  CALL         Sub MS272xB (1 yr) LF Response VER VISA /9640
  1.172  JMPL         FREQUENCY_ACCURACY

  1.173  LABEL        VSWR
  1.174  STD          HP 8720C
  1.175  CALL         Sub MS2721B (1 yr) Input VSWR VER VISA /8720
  1.176  JMPL         END

  1.177  LABEL        TRACK_GEN_FREQ
  1.178  CALL         Sub MS2721B (1 yr) Track Gen Freq VER VISA /HFCTR
  1.179  JMPL         VSWR

  1.180  LABEL        TRACK_GEN_LEVEL
  1.181  CALL         Sub MS2721B (1 yr) Track Gen Level VER VISA /437
  1.182  MATH         @LowTest = 1
  1.183  JMPL         HF_RESPONSE

  1.184  LABEL        GPS_RECEIVER
  1.185  CALL         Sub MS272xB (1 yr) GPS Option VER VISA /LO
  1.186  JMPL         THIRD_ORDER

  1.187  LABEL        END

  1.188  IF           @Opt040
  1.189  RSLT         =
  1.190  HEAD         {GSM/GPRS/EDGE RF MEASUREMENTS}
  1.191  RSLT         = Not Tested
  1.192  ENDIF

  1.193  IF           @Opt041
  1.194  RSLT         =
  1.195  HEAD         {GSM/GPRS/EDGE DEMODULATOR}
  1.196  RSLT         = Not Tested
  1.197  ENDIF

  1.198  IF           @Opt042
  1.199  RSLT         =
  1.200  HEAD         {CDMA RF MEASUREMENTS}
  1.201  RSLT         = Not Tested
  1.202  ENDIF

  1.203  IF           @Opt043
  1.204  RSLT         =
  1.205  HEAD         {cdmaOne and CDMA2000 1xRTT DEMODULATOR}
  1.206  RSLT         = Not Tested
  1.207  ENDIF

  1.208  IF           @Opt044
  1.209  RSLT         =
  1.210  HEAD         {WCDMA and HSDPA RF MEASUREMENTS}
  1.211  RSLT         = Not Tested
  1.212  ENDIF

  1.213  IF           @Opt045
  1.214  RSLT         =
  1.215  HEAD         {WCDMA DEMODULATOR & OPTION 65 WCDMA/HSDPA DEMODULATOR}
  1.216  RSLT         = Not Tested
  1.217  ENDIF

  1.218  IF           @Opt046
  1.219  RSLT         =
  1.220  HEAD         {FIXED WiMAX RF MEASUREMENTS}
  1.221  RSLT         = Not Tested
  1.222  ENDIF

  1.223  IF           @Opt047
  1.224  RSLT         =
  1.225  HEAD         {FIXED WiMAX DEMODULATOR}
  1.226  RSLT         = Not Tested
  1.227  ENDIF

  1.228  IF           @Opt062
  1.229  RSLT         =
  1.230  HEAD         {EVDO RF MEASUREMENTS}
  1.231  RSLT         = Not Tested
  1.232  ENDIF

  1.233  IF           @Opt063
  1.234  RSLT         =
  1.235  HEAD         {EVDO DEMODULATOR}
  1.236  RSLT         = Not Tested
  1.237  ENDIF

  1.238  IF           @Opt066
  1.239  RSLT         =
  1.240  HEAD         {MOBILE WiMAX RF MEASUREMENTS}
  1.241  RSLT         = Not Tested
  1.242  ENDIF

  1.243  IF           @Opt067
  1.244  RSLT         =
  1.245  HEAD         {MOBILE WiMAX DEMODULATOR}
  1.246  RSLT         = Not Tested
  1.247  ENDIF

# Restore instrument measurement mode to 'on receipt', as necessary.
  1.248  IF           ISVAR("@Mode")
  1.249  VISA         INST:SEL [V @Mode]
  1.250  WAIT         -t 45 Changing to UUT [V @Mode] application...
  1.251  ENDIF

  1.252  END
