﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 437B Review Cal Factors IEEE
INSTRUMENT:            Sub HP 437B Enter Cal Factors IEEE
INSTRUMENT:            Sub HP 437B Delete Cal Factors IEEE
DATE:                  2009-11-12
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       377
CONFIGURATION:         HP 437B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        437B
#
#  Source(s):
#        Agilent Technologies, Operating Manual, 437B Power Meter, Part No.
#         00437-90047, January 1997
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is used to retrieve, download, or delete  8480-series Power
#  Sensor calibration factors from/to an HP 437B power meter.
#
#  Rules:
#        o RF Frequency Range:              100 kHz - 99.98 GHz RF Frequency
#        o Frequency Resolution:            10 kHz/10 MHz
#        o Cal Factor Range:                1-150%
#        o Cal Factor Resolution:           0.1%
#        o Maximum number of entries/table:
#               - Tables 0 thru 7: 40 (frequency), 41 (cal factor)
#               - Tables 8 thru 9: 80 (frequency), 81 (cal factor)
#        o The frequencies must be entered in ascending order.
#        o All frequencies are truncated to a multiple of 10 kHz/10 MHz,
#          depending on cal factor frequency units.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @CalFactorsOk = 0

  1.002  JMPL         REVIEW_CAL_FACTORS           PSUBI("Review")
  1.003  JMPL         ENTER_CAL_FACTORS            PSUBI("Enter")
  1.004  JMPL         DELETE_CAL_FACTORS           PSUBI("Delete")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment step number

# =====  Sub HP 437B Review Cal Factors IEEE  ==============================

  2.001  LABEL        REVIEW_CAL_FACTORS

  2.002  HEAD         REVIEW CAL FACTORS
  2.003  IEEE         [@437][D50]RF[V @TableNum]
  2.004  IEEE         [@437]OD[I$]
  2.005  MATH         RefCF = REPL(" 0", "  ",MEM2)
  2.006  IEEE         [@437][D50]ET[V @TableNum]

  2.007  MEM2         ="[V @Table]" Cal Factors
  2.008  MATH         Id = LBNEW(MEM2)
  2.009  MATH         LBCONF(Id, "-border")

  2.010  MEM2         =FREQ         CAL FACTOR
  2.011  MATH         LBTEXT(Id, MEM2)

  2.012  DO
  2.013  HEAD         -2 Retrieving [V @Table] Cal Factors...
  2.014  IEEE         [@437][D50]OD[I$]
  2.015  MATH         MEM2 = REPL(" 0", "  ",MEM2)

  2.016  IF           FIND(MEM2, "KZ", 1)
  2.017  MATH         CF = REPL("KZ", " kHz  ",MEM2)
  2.018  ELSEIF       FIND(MEM2, "MZ", 1)
  2.019  MATH         CF = REPL("MZ", " MHz  ",MEM2)
  2.020  ELSEIF       FIND(MEM2, "GZ", 1)
  2.021  MATH         CF = REPL("GZ", " GHz  ",MEM2)
  2.022  ENDIF

  2.023  MATH         MEM = MEM2

  2.024  IF           MEM
  2.025  MEM2         =    [V CF]
  2.026  ELSE
  2.027  MEM2         =
  2.028  ENDIF

  2.029  MATH         LBTEXT(Id, MEM2)
  2.030  IEEE         [@437][D50]EN
  2.031  UNTIL        NOT(MEM)

  2.032  MEM2         =        [V RefCF]
  2.033  MATH         LBTEXT(Id, MEM2)

  2.034  HEAD         -2
  2.035  MATH         LBTEXT(Id, " ")
  2.036  MATH         LBTEXT(Id, "        Are these correct?")
  2.037  MATH         LBBUTTON(Id, "Yes")
  2.038  MATH         LBBUTTON(Id, "No")
  2.039  MATH         Status = LBSHOW(Id)
  2.040  MATH         @CalFactorsOk = (Status == 1)

  2.041  HEAD         -2
  2.042  END

  2.043  EVAL   Increment Step Number

# =====  Sub HP 437B Enter Cal Factors IEEE  ===============================

  3.001  LABEL        ENTER_CAL_FACTORS

  3.002  HEAD         ENTER CAL FACTORS
  3.003  HEAD         -2 Sensor Calibration Table: "[V @Table]"
  3.004  OPBR         -z After selecting "Yes", the non-volatile sensor
  3.004  OPBR         calibration (cal factor) table, "[V @Table]", will
  3.004  OPBR         be cleared.
  3.004  OPBR
  3.004  OPBR         Do you wish to PROCEED?

  3.005  IF           NOT(MEM1)
  3.006  HEAD         -2
  3.007  MATH         @Abort = 1; @CalFactorsOk = 1
  3.008  END
  3.009  ENDIF

  3.010  IEEE         [@437][D100]CT[V @TableNum]

  3.011  HEAD         -2 "[V @Table]" Reference Cal Factor

  3.012  DO           ; (RefCF >= 1) && (RefCF <= 150)

  3.013  DO           ; NOT(EMPTY(RefCF)) && IS_NUM(RefCF)
  3.014  MATH         IdRefCF = LBNEW(@Table & " Cal Factor Entry")
  3.015  MATH         LBCONF(IdRefCF, "+term,-border,+edit")
  3.016  MATH         LBTEXT(IdRefCF, "Enter Reference Cal Factor (%):")
  3.017  MATH         LBBUTTON(IdRefCF, "Enter")
  3.018  MATH         LBBUTTON(IdRefCF, "Cancel")
  3.019  MATH         @Abort = LBSHOW(IdRefCF)
  3.020  MATH         RefCF = LBRESP(IdRefCF)

  3.021  IF           @Abort > 1
  3.022  HEAD         -2
  3.023  END
  3.024  ELSEIF       EMPTY(RefCF)
  3.025  DISP         "[V @Table]" Reference Cal Factor data missing!
  3.025  DISP
  3.025  DISP         Select "Advance" to retry.
  3.026  ELSEIF       NOT(IS_NUM(RefCF))
  3.027  DISP         The value entered, "[V RefCF]", contains non-numeric
  3.027  DISP         characters. Non-numeric characters are invalid for
  3.027  DISP         this entry.
  3.027  DISP
  3.027  DISP         Select "Advance" to retry.
  3.028  ENDIF

  3.029  UNTIL        NOT(EMPTY(RefCF)) && IS_NUM(RefCF)

  3.030  IF           NOT((RefCF >= 1) && (RefCF <= 150))
  3.031  DISP         Reference Cal Factor value must be between 1 and 150 %.
  3.032  ENDIF

  3.033  UNTIL        (RefCF >= 1) && (RefCF <= 150)

  3.034  MATH         RefCF = FMT(RefCF, "%4.1f")
  3.035  IEEE         [@437]RF[V @TableNum][V RefCF]EN

  3.036  HEAD         -2 "[V @Table]" Cal Factors

# If sensor table is "DEFAULT"...
  3.037  IF           FINDI(@Table, "DEFAULT", 1)
  3.038  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 99800
# If sensor model is an 8481A or 8481D...
  3.039  ELSEIF       FINDI(@Table, "HP 8481", 1)
  3.040  MATH         MinFreqMHz = 50; MaxFreqMHz = 18000
# If sensor model is an 8482A, 8482B, or 8482H...
  3.041  ELSEIF       FINDI(@Table, "HP 8482", 1)
  3.042  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 4200
  3.043  ELSEIF       ZCMPI(@Table, "HP 8483A")
  3.044  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 4000
  3.045  ELSEIF       ZCMPI(@Table, "HP 8485A")
  3.046  MATH         MinFreqMHz = 50; MaxFreqMHz = 33500
# If sensor model is an R8486A, R8486D, or Q8486A...
  3.047  ELSEIF       FINDI(@Table, "8486", 1)
  3.048  MATH         MinFreqMHz = 50; MaxFreqMHz = 40000
  3.049  ELSEIF       ZCMPI(@Table, "HP 8487A")
  3.050  MATH         MinFreqMHz = 50; MaxFreqMHz = 50000
# If sensor table is "CUSTOM_0" through "CUSTOM_9" or otherwise not specified,
# i.e., user defined, set Min/Max frequency limits to extremes of available
# hardware.
  3.051  ELSE
  3.052  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 99800
  3.053  ENDIF

# Intialize completion variable.
  3.054  MATH         Select = 0

# Enter cal factors/frequency data...
  3.055  WHILE        Select < 4
  3.056  MATH         Line1 = " Enter Cal Factor FREQUENCY. Select suffix to"
  3.057  MATH         Line2 = " complete entry."
  3.058  MATH         Line3 = ""
  3.059  MATH         Line4 = " Select 'Done' if no more frequency/cal factor"
  3.060  MATH         Line5 = " pairs are to be entered."

# Enter frequency data...
  3.061  DO           ; FreqOK || (Select > 3)

  3.062  DO           ; (NOT(EMPTY(Freq)) && IS_NUM(Freq)) || (Select > 3)
  3.063  MATH         FreqOK = 0
  3.064  MATH         IdFE = LBNEW(@Table & " Cal Factor Frequency Entry    ")
  3.065  MATH         LBCONF(IdFE, "+term,-border,+edit")
  3.066  MATH         LBTEXT(IdFE, Line1)
  3.067  MATH         LBTEXT(IdFE, Line2)
  3.068  MATH         LBTEXT(IdFE, Line3)
  3.069  MATH         LBTEXT(IdFE, Line4)
  3.070  MATH         LBTEXT(IdFE, Line5)
  3.071  MATH         LBBUTTON(IdFE, "kHz")
  3.072  MATH         LBBUTTON(IdFE, "MHz")
  3.073  MATH         LBBUTTON(IdFE, "GHz")
  3.074  MATH         LBBUTTON(IdFE, "Done")
  3.075  MATH         Select = LBSHOW(IdFE)
  3.076  MATH         Freq = LBRESP(IdFE)

  3.077  IF           EMPTY(Freq) && (Select < 4)
  3.078  DISP         Frequency data missing!
  3.078  DISP
  3.078  DISP         Select "Advance" to retry.

  3.079  ELSEIF       NOT(IS_NUM(Freq)) && (Select < 4)
  3.080  DISP         The value entered, "[V Freq]", contains non-numeric
  3.080  DISP         characters. Non-numeric characters are invalid for
  3.080  DISP         this entry.
  3.080  DISP
  3.080  DISP         Select "Advance" to retry.

  3.081  ELSEIF       Select == 1
  3.082  MATH         Units = "kHz"
  3.083  MATH         Min = MinFreqMHz * 1000; Max = MaxFreqMHz * 1000
  3.084  ELSEIF       Select == 2
  3.085  MATH         Units = "MHz"
  3.086  MATH         Min = MinFreqMHz; Max = MaxFreqMHz
  3.087  ELSEIF       Select == 3
  3.088  MATH         Units = "GHz"
  3.089  MATH         Min = MinFreqMHz / 1000; Max = MaxFreqMHz / 1000
  3.090  ENDIF

  3.091  UNTIL        (NOT(EMPTY(Freq)) && IS_NUM(Freq)) || (Select > 3)

  3.092  IF           Select > 3
# Allow empty frequency reading to drop through to facilitate exit routine.
  3.093  ELSEIF       (Freq >= Min) && (Freq <= Max)
  3.094  MATH         FreqOK = 1
  3.095  ELSE
  3.096  DISP         Entered frequency for sensor calibration table,
  3.096  DISP         "[V @Table]", is out of range!
  3.096  DISP
  3.096  DISP         Frequency must be between [V Min] and [V Max] [V Units].
  3.097  MATH         FreqOK = 0
  3.098  ENDIF

  3.099  UNTIL        FreqOK || (Select > 3)

  3.100  JMPL         DONE                         Select > 3

  3.101  MEM2         = Enter [V Freq] [V Units] Cal Factor (%):

# Enter cal factor data...
  3.102  DO           ; (CF >= 1) && (CF <= 150)

  3.103  DO           ; NOT(EMPTY(CF)) && IS_NUM(CF)
  3.104  MATH         IdCF = LBNEW(@Table & " Cal Factor Entry")
  3.105  MATH         LBCONF(IdCF, "+term,-border,+edit")
  3.106  MATH         LBTEXT(IdCF, MEM2)
  3.107  MATH         LBBUTTON(IdCF, "Enter")
  3.108  MATH         LBBUTTON(IdCF, "Cancel")
  3.109  MATH         @Abort = LBSHOW(IdCF)
  3.110  MATH         CF = LBRESP(IdCF)

  3.111  IF           @Abort > 1
  3.112  HEAD         -2
  3.113  END
  3.114  ELSEIF       EMPTY(CF)
  3.115  DISP         "[V @Table]" [V Freq] [V Units] cal factor data missing!
  3.115  DISP
  3.115  DISP         Select "Advance" to retry.
  3.116  ELSEIF       NOT(IS_NUM(CF))
  3.117  DISP         The value entered, "[V CF]", contains non-numeric
  3.117  DISP         characters. Non-numeric characters are invalid for
  3.117  DISP         this entry.
  3.117  DISP
  3.117  DISP         Select "Advance" to retry.
  3.118  ENDIF

  3.119  UNTIL        NOT(EMPTY(CF)) && IS_NUM(CF)

  3.120  IF           NOT((CF >= 1) && (CF <= 150))
  3.121  DISP         Cal Factor value must be between 1 and 150 %.
  3.121  DISP
  3.121  DISP         Select "Advance" to retry.
  3.122  ENDIF

  3.123  UNTIL        (CF >= 1) && (CF <= 150)

  3.124  MATH         CF = FMT(CF, "%6.1f")

  3.125  IF           ZCMPI(Units, "kHz")
  3.126  MATH         Unit = "KZ"
  3.127  ELSEIF       ZCMPI(Units, "MHz")
  3.128  MATH         Unit = "MZ"
  3.129  ELSE
  3.130  MATH         Unit = "GZ"
  3.131  ENDIF

  3.132  MEM2         =[V Freq][V Unit][V CF]%
  3.133  IEEE         [@437][D100]ET[V @TableNum][MEM2]EN
  3.134  LABEL        DONE
  3.135  MATH         @CalFactorsOk = 1
  3.136  ENDW

  3.137  IEEE         [@437][D100]EX

  3.138  LABEL        END
  3.139  HEAD         -2
  3.140  HEAD
  3.141  END

  3.142  EVAL   Increment step number

# =====  Sub HP 437B Delete Cal Factors IEEE  ==============================

  4.001  LABEL        DELETE_CAL_FACTORS

  4.002  HEAD         DELETE CAL FACTORS

  4.003  IF           ZCMPI(@Table, "DEFAULT")
  4.004  OPBR         -z You have chosen to delete the DEFAULT cal factor
  4.004  OPBR         table.
  4.004  OPBR
  4.004  OPBR         The "DEFAULT" sensor calibration table is used for
  4.004  OPBR         performance testing of the power meter and normally
  4.004  OPBR         is NOT changed.
  4.004  OPBR
  4.004  OPBR         ARE YOU SURE you want to DELETE the DEFAULT table?
  4.004  OPBR
  4.004  OPBR         (Once deleted, the table data CANNOT be recovered.)

  4.005  IF           MEM1
  4.006  IEEE         [@437][D1000]CT[V @TableNum]
  4.007  ENDIF

  4.008  ELSE

  4.009  IEEE         [@437][D1000]CT[V @TableNum]
  4.010  ENDIF

  4.011  HEAD
  4.012  END
