﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B (1 yr) Input VSWR VER VISA /8720
DATE:                  2009-11-10
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       93
STANDARD:              HP 8720C
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Kit, Calibration, Type N, 50 Ohms, applicable for use with HP 8720C
#          Network Analyzer, HP 85054D or equivalent
#        Adapter Set, Type N, Special, 50 Ohms, applicable for use with 8720C
#          Network Analyzer, HP 85130C or equivalent
#        Cable, Precision, Type N (m)-(f), 50 Ohms, DC to 18 GHz, Return Loss
#          Match: 17 dB, Insertion Loss (18 GHz): 2.7 dB, Length: 1.5 m
#          Anritsu 15NNF50-1.5B or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-                              U
  1.002  RSLT         =
  1.003  HEAD         {RF INPUT VSWR}
  1.004  STD          HP 8720C
  1.005  TARGET
  1.006  HEAD         -2 8720C calibration
  1.007  DISP         1. Preset the HP 8720C.
  1.007  DISP
  1.007  DISP         2. Connect the precision cable to the 8720C TEST PORT 1.
  1.007  DISP
  1.007  DISP         3. Set the 8720C Start and Stop frequencies to 10 MHz
  1.007  DISP         [32]  and 7.1 GHz, respectively.
  1.007  DISP
  1.007  DISP         4. Following the 8720C Operating Manual procedure and
  1.007  DISP         [32]  using the 50 Ohm, Type N calibration kit, perform
  1.007  DISP         [32]  an S11 1-Port Calibration, using the end of the
  1.007  DISP         [32]  precision cable as the measurement plane.
  1.007  DISP
  1.007  DISP         5. Connect the end of the precision cable to the UUT
  1.007  DISP         [32]  RF IN 50 Ohms.

  1.008  HEAD         -2 10 dB Attenuation
  1.009  TSET         TDESC = 10 dB Attenuation; NTHROW = 0; NMEAS = 1
  1.010  VISA         SYST:PRES
  1.011  VISA         INIT:CONT OFF
  1.012  VISA         POW:ATT 10;AUTO OFF
  1.013  MEMI         Perform an SWR measurement of the UUT input, entering
  1.013  MEMI         the measurement result:
  1.014  MEMC         1.0            -1.0U

  2.001  HEAD         -2 20 dB Attenuation
  2.002  TSET         TDESC = 20 dB Attenuation; NTHROW = 0; NMEAS = 1
  2.003  VISA         POW:ATT 20;AUTO OFF
  2.004  MEMI         Perform an SWR measurement of the UUT input, entering
  2.004  MEMI         the measurement result:
  2.005  MEMC         1.0            -1.0U

  3.001  HEAD         -2 30 dB Attenuation
  3.002  TSET         TDESC = 30 dB Attenuation; NTHROW = 0; NMEAS = 1
  3.003  VISA         POW:ATT 30;AUTO OFF
  3.004  MEMI         Perform an SWR measurement of the UUT input, entering
  3.004  MEMI         the measurement result:
  3.005  MEMC         1.0            -1.0U

  4.001  HEAD         -2
  4.002  VISA         SYST:PRES
  4.003  DISP         Disconnect the 8720C from the UUT.
  4.004  ASK+                              U
  4.005  END
