﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B (1 yr) Track Gen Freq VER VISA /HFCTR
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       76
CONFIGURATION:         HF Counter
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20Z or later
#
#  Subprocedures:
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#
#  Required Files:
#        ms272x_tgen_power.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@HFCTR]
  1.003  ENDIF

  1.004  RSLT         =
  1.005  HEAD         {TRACKING GENERATOR (Option 20)}
  1.006  RSLT         =
  1.007  HEAD         -2 {Frequency Accuracy}
  1.008  TARGET       -p
  1.009  TSET         TDESC = 1 GHz
  1.010  CALL         Sub Reset /HFCTR

  1.011  VISA         SYST:PRES
  1.012  VISA         INIT:CONT OFF
  1.013  VISA         FREQ:CENT 1E+9;SPAN 0
  1.014  VISA         INIT:TGEN ON;:TGEN:OUT:POW 0
  1.015  DISP         Make the following connections:
  1.015  DISP
  1.015  DISP         [32]         UUT           to    [V @HFCTR_DevName]
  1.015  DISP         [32]  GEN OUTPUT 50 Ohms ------> [V @HFCTR_ChHF]

  1.016  HEAD         -2 Frequency Accuracy: 1 GHz
  1.017  MATH         @HFCTR_MeasTime = "2s"
  1.018  MATH         @HFCTR_Func     = "FreqChHF"
  1.019  MATH         @HFCTR_ROSC     = "Ext"
# Look up instrument name of external frequency reference.
  1.020  MATH         ExtFreqRef = INI("startup", "FreqRefDevName")
  1.021  TARGET       -m
  1.022  CALL         Sub Measure /HFCTR
# Retrieve accuracy for external frequency reference.
  1.023  MATH         L[1] = (ACCV(ExtFreqRef, "Timebase", MEM)) / 1E+9
  1.024  MATH         MEM = MEM / 1E+9
  1.025  ACC          GHz            L1U
  1.026  MEMC   1     1.00000000GHz  0.3P%

  2.001  CALL         Sub Reset /HFCTR
  2.002  VISA         SYST:PRES
  2.003  END
