﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B (1 yr) Track Gen Level VER VISA /437
DATE:                  2009-11-19
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       245
CONFIGURATION:         HP 437B
STANDARD:              Agilent 8481A
STANDARD:              Agilent 8481D
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        437b_ms272x_tgen_power.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         TRACKING GENERATOR (Option 20)

  1.002  LABEL        START

  1.003  IF           NOT(ISVAR("LowLevel"))
  1.004  RSLT         =
  1.005  RSLT         =Level Accuracy
  1.006  RSLT         =
  1.007  HEAD         -2 Level Accuracy: {450 MHz}, 0 dBm
  1.008  STD          Agilent 8481A
  1.009  TARGET       -p
  1.010  PIC          437b_ms272x_tgen_power.jpg
  1.011  VISA         SYST:PRES
  1.012  VISA         FREQ:CENT 450E+6;SPAN 0
  1.013  VISA         INIT:TGEN ON;:TGEN:OUT:POW 0
  1.014  M437                        F32           HP8481A        T1
  1.015  TARGET       -m
  1.016  437          0.00D                        450MH             RF N
# Uncertainty is rss of 437B instrumentation accuracy, (8481A) sensor to Power
# Ref mismatch, sensor to UUT mismatch, cal factor uncertainty, noise floor,
# plus 1 LSD.
  1.017  TOL          +0.174U -0.181U 0.01U
  1.018  ACC          dBm            TOL                                   +DW
  1.019  MEMC   40    0.00dBm        1.50U

  2.001  HEAD         -2 Level Accuracy: 450 MHz, -19.5 dBm
  2.002  VISA         TGEN:OUT:POW -19.5
  2.003  TARGET       -m
  2.004  437          -19.50D                      450MH             RF N
  2.005  TOL          +0.265U -0.282U 0.01U
  2.006  ACC          dBm            TOL                                   +DW
  2.007  MEMC   40    -19.50dBm      1.50U

  3.001  ELSE

  3.002  HEAD         -2 Level Accuracy: 450 MHz, -40 dBm
  3.003  STD          Agilent 8481D
  3.004  PIC          437b_ms272x_tgen_power.jpg
  3.005  VISA         SYST:PRES
  3.006  VISA         FREQ:CENT 450E+6;SPAN 0
  3.007  VISA         INIT:TGEN ON;:TGEN:OUT:POW -40
  3.008  M437                        F32           HP8481D        T4
  3.009  TARGET       -m
  3.010  437          -40.00D                      450MH             RF N
# Uncertainty is rss of 437B instrumentation accuracy, (8481D) sensor to Power
# Ref mismatch, sensor to UUT mismatch, cal factor uncertainty, noise floor,
# plus 1 LSD.
  3.011  TOL          +0.437U -0.486U 0.01U
  3.012  ACC          dBm            TOL                                   +DW
  3.013  MEMC   40    -40.00dBm      1.50U
  4.001  ENDIF

  4.002  IF           NOT(ISVAR("LowLevel"))
  4.003  RSLT         =
  4.004  HEAD         -2 Level Accuracy: {975 MHz}, 0 dBm
  4.005  TARGET       -p
  4.006  VISA         FREQ:CENT 975E+6;:TGEN:OUT:POW 0
  4.007  M437                        F32           HP8481A        T1
  4.008  TARGET       -m
  4.009  437          0.00D                        975MH             RF N
  4.010  TOL          +0.175U -0.183U 0.01U
  4.011  ACC          dBm            TOL                                   +DW
  4.012  MEMC   40    0.00dBm        1.50U

  5.001  HEAD         -2 Level Accuracy: 975 MHz, -19.5 dBm
  5.002  VISA         TGEN:OUT:POW -19.5
  5.003  TARGET       -m
  5.004  437          -19.50D                      975MH             RF N
  5.005  TOL          +0.265U -0.282U 0.01U
  5.006  ACC          dBm            TOL                                   +DW
  5.007  MEMC   40    -19.50dBm      1.50U

  6.001  ELSE

  6.002  HEAD         -2 Level Accuracy: 975 MHz, -40 dBm
  6.003  VISA         FREQ:CENT 975E+6;:TGEN:OUT:POW -40
  6.004  M437                        F32           HP8481D        T4
  6.005  TARGET       -m
  6.006  437          -40.00D                      975MH             RF N
  6.007  TOL          +0.437U -0.486U 0.01U
  6.008  ACC          dBm            TOL                                   +DW
  6.009  MEMC   40    -40.00dBm      1.50U
  7.001  ENDIF

  7.002  IF           NOT(ISVAR("LowLevel"))
  7.003  RSLT         =
  7.004  HEAD         -2 Level Accuracy: {2.975 GHz}, 0 dBm
  7.005  TARGET       -p
  7.006  VISA         FREQ:CENT 2975E+6;:TGEN:OUT:POW 0
  7.007  M437                        F32           HP8481A        T1
  7.008  TARGET       -m
  7.009  437          0.00D                        2.975GH           RF N
  7.010  TOL          +0.178U -0.186U 0.01U
  7.011  ACC          dBm            TOL                                   +DW
  7.012  MEMC   40    0.00dBm        1.50U

  8.001  HEAD         -2 Level Accuracy: 2.975 GHz, -19.5 dBm
  8.002  VISA         TGEN:OUT:POW -19.5
  8.003  TARGET       -m
  8.004  437          -19.50D                      2.975GH           RF N
  8.005  TOL          +0.266U -0.283U 0.01U
  8.006  ACC          dBm            TOL                                   +DW
  8.007  MEMC   40    -19.50dBm      1.50U

  9.001  ELSE

  9.002  HEAD         -2 Level Accuracy: 2.975 GHz, -40 dBm
  9.003  VISA         FREQ:CENT 2975E+6;:TGEN:OUT:POW -40
  9.004  M437                        F32           HP8481D        T4
  9.005  TARGET       -m
  9.006  437          -40.00D                      2.975GH           RF N
  9.007  TOL          +0.437U -0.486U 0.01U
  9.008  ACC          dBm            TOL                                   +DW
  9.009  MEMC   40    -40.00dBm      1.50U
 10.001  ENDIF

 10.002  IF           NOT(ISVAR("LowLevel"))
 10.003  RSLT         =
 10.004  HEAD         -2 Level Accuracy: {4.975 GHz}, 0 dBm
 10.005  TARGET       -p
 10.006  VISA         FREQ:CENT 4975E+6;:TGEN:OUT:POW 0
 10.007  M437                        F32           HP8481A        T1
 10.008  TARGET       -m
 10.009  437          0.00D                        4.975GH           RF N
 10.010  TOL          +0.177U -0.184U 0.01U
 10.011  ACC          dBm            TOL                                   +DW
 10.012  MEMC   40    0.00dBm        1.50U

 11.001  HEAD         -2 Level Accuracy: 4.975 GHz, -19.5 dBm
 11.002  VISA         TGEN:OUT:POW -19.5
 11.003  TARGET       -m
 11.004  437          -19.50D                      4.975GH           RF N
 11.005  TOL          +0.267U -0.284U 0.01U
 11.006  ACC          dBm            TOL                                   +DW
 11.007  MEMC   40    -19.50dBm      1.50U

 12.001  ELSE

 12.002  HEAD         -2 Level Accuracy: 4.975 GHz, -40 dBm
 12.003  VISA         FREQ:CENT 4975E+6;:TGEN:OUT:POW -40
 12.004  M437                        F32           HP8481D        T4
 12.005  TARGET       -m
 12.006  437          -40.00D                      4.975GH           RF N
 12.007  TOL          +0.465U -0.521U 0.01U
 12.008  ACC          dBm            TOL                                   +DW
 12.009  MEMC   40    -40.00dBm      1.50U
 13.001  ENDIF

 13.002  IF           NOT(ISVAR("LowLevel"))
 13.003  RSLT         =
 13.004  HEAD         -2 Level Accuracy: {7.075 GHz}, 0 dBm
 13.005  TARGET       -p
 13.006  VISA         FREQ:CENT 7075E+6;:TGEN:OUT:POW 0
 13.007  M437                        F32           HP8481A        T1
 13.008  TARGET       -m
 13.009  437          0.00D                        7.075GH           RF N
 13.010  TOL          +0.178U -0.186U 0.01U
 13.011  ACC          dBm            TOL                                   +DW
 13.012  MEMC   40    0.00dBm        1.50U

 14.001  HEAD         -2 Level Accuracy: 7.075 GHz, -19.5 dBm
 14.002  VISA         TGEN:OUT:POW -19.5
 14.003  TARGET       -m
 14.004  437          -19.50D                      7.075GH           RF N
 14.005  TOL          +0.268U -0.285U 0.01U
 14.006  ACC          dBm            TOL                                   +DW
 14.007  MEMC   40    -19.50dBm      1.50U

 15.001  ELSE

 15.002  HEAD         -2 Level Accuracy: 7.075 GHz, -40 dBm
 15.003  VISA         FREQ:CENT 7075E+6;:TGEN:OUT:POW -40
 15.004  M437                        F32           HP8481D        T4
 15.005  TARGET       -m
 15.006  437          -40.00D                      7.075GH           RF N
 15.007  TOL          +0.466U -0.522U 0.01U
 15.008  ACC          dBm            TOL                                   +DW
 15.009  MEMC   40    -40.00dBm      1.50U
 16.001  ENDIF

 16.002  JMPL         END                          ISVAR("LowLevel")

 16.003  DISP         Remove the 8481A Power Sensor, replacing it with
 16.003  DISP         the 8481D Power Sensor.
 16.004  IEEE         [@437]RF4OD[I]
 16.005  M437         pct            F32           HP8481D        T4
 16.006  DISP         Placing the 11708A 30 dB, 50 MHz Reference Attenuator
 16.006  DISP         in series, connect the sensor to the HP 437B POWER REF
 16.006  DISP         1.00 mW 50 MHz output.
 16.006  DISP
 16.006  DISP         [32]                  WARNING!
 16.006  DISP         Failure to utilize the 11708A 30 dB Attenuator may
 16.006  DISP         cause the 8481D sensor to be subsequently DESTROYED.
 16.006  DISP         Ensure attenuator is inserted prior to proceeding.
 16.007  437          1uW                          50MH              CP N

 16.008  MATH         LowLevel = 1
 16.009  JMPL         START                        LowLevel

 16.010  LABEL        END
 16.011  HEAD         -2
 16.012  VISA         SYST:PRES
 16.013  M437         *
 16.014  437          *                                                 S
 16.015  END
