﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB HF Response Tests (Low) VISA /437,SWPG
INSTRUMENT:            Sub MS272xB HF Response Tests (High) VISA /437,SWPG
DATE:                  2009-11-19
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       21
NUMBER OF LINES:       420
CONFIGURATION:         HP 437B
CONFIGURATION:         Sweep Generator
STANDARD:              Agilent 8481D
STANDARD:              Agilent 8481A
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS272xB
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Output Off /SWPG
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub MS272xB Set Ref Level VISA /SWPG
#        Sub Level Signal /437,SWPG
#
#  Required Files:
#        11667A_<Asset11667A>_char.ini
#
#  Additional Equipment Required:
#        Power Splitter, Type N, 50 Ohms, DC to 18 GHz, Isolation >18 dB,
#          Insertion loss: <1 dB, Tracking: ±0.15 dB HP/Agilent 11667A or
#          equivalent
#        Adapter, Type N (m) to Type N (m), 50 Ohms, DC to 18 GHz, Anritsu
#          Model 34NN50A or equivalent
#        Cable, coaxial, Type N (m)-(m), 50 Ohms, 36"
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

  1.004  IF           @Freq >= +1E+9
  1.005  MATH         Frq = (@Freq / 1E+9) & " GHz"
  1.006  ELSE
  1.007  MATH         Frq = (@Freq / 1E+6) & " MHz"
  1.008  ENDIF

  1.009  CALL         Sub Output Off /SWPG

  1.010  IF           @LowTest
  1.011  HEAD         -2 Setting UUT 50 MHz -30 dBm reference level...
  1.012  MATH         @TestName = "50 MHz Ref Set (Low)"; @Error = 0
  1.013  STD          Agilent 8481D
  1.014  TARGET       -p
  1.015  VISA         SYST:PRES
  1.016  VISA         INIT:CONT OFF
  1.017  VISA         FREQ:CENT 50E+6;SPAN 10E+3;:BWID:RES 1E+3;VID 10
  1.018  VISA         DISP:WIND:TRAC:Y:RLEV -20;:POW:ATT 0;AUTO OFF
  1.019  MATH         @SWPG_Freq = "50MHz"; @SWPG_Ampl = "-24dBm"
  1.020  MATH         @SWPG_ROSC = "Ext"
  1.021  CALL         Sub Apply /SWPG
# "@50MHzLoRefLvl" is UUT -30 dBm measured value obtained using 9640A.
  1.022  MATH         @RefLvl = @50MHzLoRefLvl; @TestLvl = -24
  1.023  MATH         @HiLimit = @RefLvl + 0.05; @LoLimit = @RefLvl - 0.05
  1.024  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  1.025  VISA         CALC:MARK:Y?[I]

  1.026  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
  1.027  CALL         Sub MS272xB Set Ref Level VISA /SWPG
  1.028  ENDW

  1.029  IF           @Error
# EVAL to force "FAIL" in test results as well as to notify operator.
  1.030  EVAL   -e 0 : An error occurred during the [V @TestName].
# Reset 'error' variable to false following error detection is sub.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  M437                        F32           HP8481D        T4
  2.005  437          -30.00D                      50MH              RF N

  2.006  MATH         @Section = "50_MHz"
  2.007  MATH         @Parameter = "output_tracking_error"
  2.008  MATH         PowSpltErr = RIF(@IniFile, @Section, @Parameter)
  2.009  MATH         @50MHzRef = MEM + PowSpltErr

  2.010  ELSE

  2.011  HEAD         -2 Setting UUT 50 MHz -2 dBm reference level...
  2.012  MATH         @TestName = "50 MHz Ref Set (High)"; @Error = 0
  2.013  STD          Agilent 8481A
  2.014  TARGET       -p
  2.015  VISA         SYST:PRES
  2.016  VISA         INIT:CONT OFF
  2.017  VISA         FREQ:CENT 50E+6;SPAN 10E+3;:BWID:RES 1E+3;VID 10
  2.018  VISA         DISP:WIND:TRAC:Y:RLEV 10;:POW:ATT 30;AUTO OFF
  2.019  MATH         @SWPG_Freq = "50MHz"; @SWPG_Ampl = "+4dBm"
  2.020  MATH         @SWPG_ROSC = "Ext"
  2.021  CALL         Sub Apply /SWPG
# "@50MHzHiRefLvl" is UUT -2 dBm measured value obtained using 9640A.
  2.022  MATH         @RefLvl = @50MHzHiRefLvl; @TestLvl = +4
  2.023  MATH         @HiLimit = @RefLvl + 0.05; @LoLimit = @RefLvl - 0.05
  2.024  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  2.025  VISA         CALC:MARK:Y?[I]

  2.026  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
  2.027  CALL         Sub MS272xB Set Ref Level VISA /SWPG
  2.028  ENDW

  2.029  IF           @Error
  2.030  EVAL   -e 0 : An error occurred during the [V @TestName].
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  M437                        F32           HP8481A        T1
  3.005  437          -2.00D                       50MH              RF N

  3.006  MATH         @Section = "50_MHz"
  3.007  MATH         @Parameter = "output_tracking_error"
  3.008  MATH         PowSpltErr = RIF(@IniFile, @Section, @Parameter)
  3.009  MATH         @50MHzRef = MEM + PowSpltErr
  3.010  ENDIF

  3.011  JMPL         LOW_LEVEL                    PSUBI("Low")
  3.012  JMPL         HIGH_LEVEL                   PSUBI("High")
  3.013  DISP         Called {Subprocedure Not Found}!
  3.014  END

  3.015  EVAL   Increment Test Number

# ====== Sub MS272xB HF Response Tests (Low) VISA /437,SWPG ================

  4.001  LABEL        LOW_LEVEL

# Uncertainty is rss of mismatch splitter to UUT, mismatch splitter to (8481D)
# sensor, cal factor uncertainty, plus 1 LSD.
  4.002  IF           @Freq == 5E+9
  4.003  TOL          +0.185U -0.194U  0.01U
  4.004  ELSEIF       @Freq == 6E+9
  4.005  TOL          +0.185U -0.194U  0.01U
  4.006  ELSEIF       @Freq == 7E+9
  4.007  TOL          +0.201U -0.211U  0.01U
  4.008  ENDIF

  4.009  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 0 dB
  4.010  MATH         @TestName = "HF Response (Low)"
  4.011  MATH         @SWPG_Freq = @Freq & "Hz"
  4.012  MATH         @SWPG_Ampl = (@50MHzRef + 6) & "dBm"
  4.013  MATH         @TestLvl = @SWPG_Ampl
  4.014  MATH         @CenterFreq = @Freq; @RefLvl = @50MHzRef; Limit = 0.05
  4.015  MATH         @HiLimit = @RefLvl + Limit; @LoLimit = @RefLvl - Limit
  4.016  TARGET       -p
  4.017  VISA         FREQ:CENT [V @Freq]
  4.018  CALL         Sub Apply /SWPG
  4.019  MATH         MEM = @Freq
  4.020  M437                        F32           HP8481D        T4
  4.021  437          -30.00D                      H                 RF N

  4.022  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
  4.023  CALL         Sub Level Signal /437,SWPG
  4.024  ENDW

  4.025  IF           @Error
  4.026  EVAL   -e 0 : An error occurred during the [V @TestName].
  5.001  MATH         @Error = 0
  5.002  END
  5.003  ENDIF

  5.004  TARGET       -p
  5.005  TSET         TDESC = 0 dB Input Atten
  5.006  ACC          -30.00dBm      TOL                                   +DW
  5.007  MATH         @Section = (@Freq / 1E+9) & "_GHz"
  5.008  MATH         @PowSpltErr = RIF(@IniFile, @Section, @Parameter)
  5.009  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
  5.010  CALL         Sub Apply /SWPG
  5.011  TARGET       -m
  5.012  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.013  VISA         CALC:MARK:Y?[I]
  5.014  MEMCX  50    -30.00dBm      1.25U

  6.001  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 5 dB
  6.002  TARGET       -p
  6.003  VISA         POW:ATT 5
  6.004  CALL         Sub Apply /SWPG
  6.005  MATH         @CenterFreq = @Freq; MEM = @Freq
  6.006  437          -30.00D                      H                 RF N

  6.007  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
  6.008  CALL         Sub Level Signal /437,SWPG
  6.009  ENDW

  6.010  IF           @Error
  6.011  EVAL   -e 0 : An error occurred during the [V @TestName].
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  TARGET       -p
  7.005  TSET         TDESC = 5 dB Input Atten
  7.006  ACC          -30.00dBm      TOL                                   +DW
  7.007  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
  7.008  CALL         Sub Apply /SWPG
  7.009  TARGET       -m
  7.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  7.011  VISA         CALC:MARK:Y?[I]
  7.012  MEMCX  50    -30.00dBm      1.25U

  8.001  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 10 dB
  8.002  TARGET       -p
  8.003  VISA         POW:ATT 10
  8.004  CALL         Sub Apply /SWPG
  8.005  MATH         @CenterFreq = @Freq; MEM = @Freq
  8.006  437          -30.00D                      H                 RF N

  8.007  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
  8.008  CALL         Sub Level Signal /437,SWPG
  8.009  ENDW

  8.010  IF           @Error
  8.011  EVAL   -e 0 : An error occurred during the [V @TestName].
  9.001  MATH         @Error = 0
  9.002  END
  9.003  ENDIF

  9.004  TARGET       -p
  9.005  TSET         TDESC = 10 dB Input Atten
  9.006  ACC          -30.00dBm      TOL                                   +DW
  9.007  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
  9.008  CALL         Sub Apply /SWPG
  9.009  TARGET       -m
  9.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  9.011  VISA         CALC:MARK:Y?[I]
  9.012  MEMCX  50    -30.00dBm      1.25U

 10.001  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 20 dB
 10.002  TARGET       -p
 10.003  VISA         POW:ATT 20
 10.004  CALL         Sub Apply /SWPG
 10.005  MATH         @CenterFreq = @Freq; MEM = @Freq
 10.006  437          -30.00D                      H                 RF N

 10.007  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
 10.008  CALL         Sub Level Signal /437,SWPG
 10.009  ENDW

 10.010  IF           @Error
 10.011  EVAL   -e 0 : An error occurred during the [V @TestName].
 11.001  MATH         @Error = 0
 11.002  END
 11.003  ENDIF

 11.004  TARGET       -p
 11.005  TSET         TDESC = 20 dB Input Atten
 11.006  ACC          -30.00dBm      TOL                                   +DW
 11.007  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
 11.008  CALL         Sub Apply /SWPG
 11.009  TARGET       -m
 11.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 11.011  VISA         CALC:MARK:Y?[I]
 11.012  MEMCX  50    -30.00dBm      1.25U

 12.001  HEAD         -2
 12.002  CALL         Sub Output Off /SWPG
 12.003  437          *                                                 S
 12.004  END

 12.005  EVAL   Increment Test Number

# ====== Sub MS272xB HF Response Tests (High) VISA /437,SWPG ===============

 13.001  LABEL        HIGH_LEVEL

# Uncertainty is rss of mismatch splitter to UUT, mismatch splitter to (8481A)
# sensor, cal factor uncertainty, plus 1 LSD.
 13.002  IF           @Freq == 5E+9
 13.003  TOL          +0.183U -0.191U  0.01U
 13.004  ELSEIF       @Freq == 6E+9
 13.005  TOL          +0.184U -0.192U  0.01U
 13.006  ELSEIF       @Freq == 7E+9
 13.007  TOL          +0.200U -0.209U  0.01U
 13.008  ENDIF

 13.009  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 30 dB
 13.010  MATH         @TestName = "HF Response (High)"
 13.011  MATH         @SWPG_Freq = @Freq & "Hz"
 13.012  MATH         @SWPG_Ampl = (@50MHzRef + 6) & "dBm"
 13.013  MATH         @TestLvl = @SWPG_Ampl
 13.014  MATH         @CenterFreq = @Freq; @RefLvl = @50MHzRef; Limit = 0.05
 13.015  MATH         @HiLimit = @RefLvl + Limit; @LoLimit = @RefLvl - Limit
 13.016  TARGET       -p
 13.017  VISA         FREQ:CENT [V @Freq]
 13.018  CALL         Sub Apply /SWPG
 13.019  MATH         MEM = @Freq
 13.020  M437                        F32           HP8481A        T1
 13.021  437          -2.00D                       H                 RF N

 13.022  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
 13.023  CALL         Sub Level Signal /437,SWPG
 13.024  ENDW

 13.025  IF           @Error
 13.026  EVAL   -e 0 : An error occurred during the [V @TestName].
 14.001  MATH         @Error = 0
 14.002  END
 14.003  ENDIF

 14.004  TARGET       -p
 14.005  TSET         TDESC = 30 dB Input Atten
 14.006  ACC          -2.00dBm       TOL                                   +DW
 14.007  MATH         @Section = (@Freq / 1E+9) & "_GHz"
 14.008  MATH         @PowSpltErr = RIF(@IniFile, @Section, @Parameter)
 14.009  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
 14.010  CALL         Sub Apply /SWPG
 14.011  TARGET       -m
 14.012  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 14.013  VISA         CALC:MARK:Y?[I]
 14.014  MEMCX  50    -2.00dBm       1.25U

 15.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 40 dB
 15.002  TARGET       -p
 15.003  VISA         POW:ATT 40
 15.004  CALL         Sub Apply /SWPG
 15.005  MATH         @CenterFreq = @Freq; MEM = @Freq
 15.006  437          -2.00D                       H                 RF N

 15.007  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
 15.008  CALL         Sub Level Signal /437,SWPG
 15.009  ENDW

 15.010  IF           @Error
 15.011  EVAL   -e 0 : An error occurred during the [V @TestName].
 16.001  MATH         @Error = 0
 16.002  END
 16.003  ENDIF

 16.004  TARGET       -p
 16.005  TSET         TDESC = 40 dB Input Atten
 16.006  ACC          -2.00dBm       TOL                                   +DW
 16.007  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
 16.008  CALL         Sub Apply /SWPG
 16.009  TARGET       -m
 16.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 16.011  VISA         CALC:MARK:Y?[I]
 16.012  MEMCX  50    -2.00dBm       1.75U

 17.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 50 dB
 17.002  TARGET       -p
 17.003  VISA         POW:ATT 50
 17.004  CALL         Sub Apply /SWPG
 17.005  MATH         @CenterFreq = @Freq; MEM = @Freq
 17.006  437          -2.00D                       H                 RF N

 17.007  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
 17.008  CALL         Sub Level Signal /437,SWPG
 17.009  ENDW

 17.010  IF           @Error
 17.011  EVAL   -e 0 : An error occurred during the [V @TestName].
 18.001  MATH         @Error = 0
 18.002  END
 18.003  ENDIF

 18.004  TARGET       -p
 18.005  TSET         TDESC = 50 dB Input Atten
 18.006  ACC          -2.00dBm       TOL                                   +DW
 18.007  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
 18.008  CALL         Sub Apply /SWPG
 18.009  TARGET       -m
 18.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 18.011  VISA         CALC:MARK:Y?[I]
 18.012  MEMCX  50    -2.00dBm       1.75U

 19.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 60 dB
 19.002  TARGET       -p
 19.003  VISA         POW:ATT 60
 19.004  CALL         Sub Apply /SWPG
 19.005  MATH         @CenterFreq = @Freq; MEM = @Freq
 19.006  437          -2.00D                       H                 RF N

 19.007  WHILE        ((MEM < @LoLimit) || (MEM > @HiLimit)) && NOT(@Error)
 19.008  CALL         Sub Level Signal /437,SWPG
 19.009  ENDW

 19.010  IF           @Error
 19.011  EVAL   -e 0 : An error occurred during the [V @TestName].
 20.001  MATH         @Error = 0
 20.002  END
 20.003  ENDIF

 20.004  TARGET       -p
 20.005  TSET         TDESC = 60 dB Input Atten
 20.006  ACC          -2.00dBm       TOL                                   +DW
 20.007  MATH         @SWPG_Ampl = (@TestLvl + @PowSpltErr) & "dBm"
 20.008  CALL         Sub Apply /SWPG
 20.009  TARGET       -m
 20.010  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
 20.011  VISA         CALC:MARK:Y?[I]
 20.012  MEMCX  50    -2.00dBm       1.75U

 21.001  HEAD         -2
 21.002  CALL         Sub Output Off /SWPG
 21.003  437          *                                                 S
 21.004  END
