﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS2721B HF Response Tests VISA /9640
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       128
CONFIGURATION:         Fluke 9640A (XREF)
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2721B
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Freq >= +1E+9
  1.002  MATH         Frq = (@Freq / 1E+9) & " GHz"
  1.003  ELSE
  1.004  MATH         Frq = (@Freq / 1E+6) & " MHz"
  1.005  ENDIF

  1.006  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 0 dB
  1.007  TSET         TDESC = 0 dB Input Atten
  1.008  VISA         FREQ:CENT [V @Freq];SPAN 10E+3;:BWID:RES 1E+3;VID 10
  1.009  VISA         DISP:WIND:TRAC:Y:RLEV -20;:POW:ATT 0;AUTO OFF
  1.010  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  1.010  9640         +Level = -30 dBm; Freq = [V @Freq] Hz
  1.011  TARGET       -m
  1.012  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  1.013  VISA         CALC:MARK:Y?[I]
  1.014  MEMCX  50    -30.00dBm      1.25U

  2.001  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 5 dB
  2.002  TSET         TDESC = 5 dB Input Atten
  2.003  VISA         POW:ATT 5
  2.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  2.004  9640         +Level = -30 dBm; Freq = [V @Freq] Hz
  2.005  TARGET       -m
  2.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  2.007  VISA         CALC:MARK:Y?[I]
  2.008  MEMCX  50    -30.00dBm      1.25U

  3.001  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 10 dB
  3.002  TSET         TDESC = 10 dB Input Atten
  3.003  VISA         POW:ATT 10
  3.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  3.004  9640         +Level = -30 dBm; Freq = [V @Freq] Hz
  3.005  TARGET       -m
  3.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  3.007  VISA         CALC:MARK:Y?[I]
  3.008  MEMCX  50    -30.00dBm      1.25U

  4.001  HEAD         -2 [V Frq]: -30 dBm, Ref Lvl -20 dBm, Input Atten 20 dB
  4.002  TSET         TDESC = 20 dB Input Atten
  4.003  VISA         POW:ATT 20
  4.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  4.004  9640         +Level = -30 dBm; Freq = [V @Freq] Hz
  4.005  TARGET       -m
  4.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  4.007  VISA         CALC:MARK:Y?[I]
  4.008  MEMCX  50    -30.00dBm      1.25U

  5.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 30 dB
  5.002  TSET         TDESC = 30 dB Input Atten
  5.003  VISA         DISP:WIND:TRAC:Y:RLEV 10;:POW:ATT 30
  5.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  5.004  9640         +Level = -2 dBm; Freq = [V @Freq] Hz
  5.005  TARGET       -m
  5.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.007  VISA         CALC:MARK:Y?[I]
  5.008  MEMCX  50    -2.00dBm       1.25U

  6.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 40 dB
  6.002  TSET         TDESC = 40 dB Input Atten
  6.003  VISA         POW:ATT 40
  6.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  6.004  9640         +Level = -2 dBm; Freq = [V @Freq] Hz
  6.005  TARGET       -m
  6.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.007  VISA         CALC:MARK:Y?[I]
  6.008  MEMCX  50    -2.00dBm       1.75U

  7.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 50 dB
  7.002  TSET         TDESC = 50 dB Input Atten
  7.003  VISA         POW:ATT 50
  7.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  7.004  9640         +Level = -2 dBm; Freq = [V @Freq] Hz
  7.005  TARGET       -m
  7.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  7.007  VISA         CALC:MARK:Y?[I]
  7.008  MEMCX  50    -2.00dBm       1.75U

  8.001  HEAD         -2 [V Frq]: -2 dBm, Ref Lvl +10 dBm, Input Atten 60 dB
  8.002  TSET         TDESC = 60 dB Input Atten
  8.003  VISA         POW:ATT 60
  8.004  9640         ExtRefFreq = 10 MHz; OutpImp = 50 Ohms
  8.004  9640         +Level = -2 dBm; Freq = [V @Freq] Hz
  8.005  TARGET       -m
  8.006  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  8.007  VISA         CALC:MARK:Y?[I]
  8.008  MEMCX  50    -2.00dBm       1.75U

  9.001  HEAD         -2
  9.002  END
