﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MS272xB (1 yr) TOI VER /437,LO,SWPG
DATE:                  2009-11-17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       10
NUMBER OF LINES:       323
CONFIGURATION:         HP 437B
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS272xB series
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Reset /LO
#        Sub Apply /LO
#        Sub Output Off /LO
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub Output Off /SWPG
#        Sub Anritsu MS272xB Take Sweep Only
#        Sub Anritsu MS272xB Take Sweep (MKPK)
#        Sub Level Signal /437,SWPG
#        Sub Level Signal /437,LO
#
#  Required Files:
#        lo_swpg_437b_ms272x_toi.jpg
#
#  Additional Equipment Required:
#        Power Splitter, Type N, 50 Ohms, DC to 18 GHz, Isolation >18 dB,
#          Insertion loss: <1 dB, Tracking: ±0.15 dB HP/Agilent 11667A or
#          equivalent
#        Attenuator, Fixed, Type N, 50 Ohms, 20 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-20 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 6 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-6 or equivalent, 2 ea.
#        Attenuator, Fixed, Type N, 50 Ohms, 2 dB, DC to 18 GHz, Aeroflex/
#          Weinschel Model 44-2 or equivalent, 2 ea.
#        Adapter, Type N (m) to Type N (m), 50 Ohms, DC to 20 GHz, Anritsu
#          Model 34NN50A or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.002  IEEE         [@SWPG]
  1.003  M437                                      HP8481A        T1
  1.004  ENDIF

  1.005  RSLT         =
  1.006  HEAD         {THIRD ORDER INTERCEPT}
  1.007  TARGET       -p

  1.008  CALL         Sub Reset /LO
  1.009  CALL         Sub Reset /SWPG

  1.010  MATH         @TestName = "Third Order Intercept"; @Error = 0
  1.011  PIC          lo_swpg_437b_ms272x_toi.jpg

  1.012  IF           ZCMPI(@ModelNum, "MS2721B")
  1.013  HEAD         -2 Setting SWPG 600 MHz Reference Level, Please Wait...
  1.014  MATH         @SWPG_Freq = "599.951MHz"; @SWPG_Ampl = "+14dBm"
  1.015  MATH         @SWPG_ROSC = "Ext"
  1.016  CALL         Sub Apply /SWPG
  1.017  MATH         @CenterFreq = 599.951E+6; @RefLvl = -20; @TestLvl = +14
  1.018  MATH         @Gap = 0.1
  1.019  437          -20.00D                      599.951MH         RF N

  1.020  WHILE        ((MEM <= -20.1) || (MEM >= -19.9)) && NOT(@Error)
  1.021  CALL         Sub Level Signal /437,SWPG
  1.022  ENDW

  1.023  IF           @Error
# EVAL to force "FAIL" in test results as well as to notify operator.
  1.024  EVAL   -e 0 : An error occurred during the [V @TestName] test.
# Reset 'error' variable to false following error detection is sub.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  TARGET       -p
# Save SWPG 'leveled' amplitude for subsequent re-use during first test.
  2.005  MATH         @SWPG_Lvl_1 = @SWPG_Ampl

  2.006  HEAD         -2 Setting SWPG 3.5 GHz Reference Level, Please Wait...
  2.007  MATH         @SWPG_Freq = "3.499951GHz"
  2.008  CALL         Sub Apply /SWPG
  2.009  MATH         @CenterFreq = 3.499951E+9
  2.010  437          -20.00D                      3.499951GH        RF N

  2.011  WHILE        ((MEM <= -20.1) || (MEM >= -19.9)) && NOT(@Error)
  2.012  CALL         Sub Level Signal /437,SWPG
  2.013  ENDW

  2.014  IF           @Error
  2.015  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  TARGET       -p
# Save SWPG 'leveled' amplitude for subsequent re-use during second test.
  3.005  MATH         @SWPG_Lvl_2 = @SWPG_Ampl
  3.006  CALL         Sub Output Off /SWPG

  3.007  HEAD         -2 Setting LO 600 MHz Reference Level, Please Wait...
  3.008  MATH         @LO_Freq = "600.051MHz"; @LO_Ampl = "+14dBm"
  3.009  MATH         @LO_ROSC = "Ext"
  3.010  CALL         Sub Apply /LO
  3.011  MATH         @CenterFreq = 600.051E+6; @TestLvl = +14
  3.012  437          -20.00D                      600.051MH         RF N

  3.013  WHILE        ((MEM <= -20.1) || (MEM >= -19.9)) && NOT(@Error)
  3.014  CALL         Sub Level Signal /437,LO
  3.015  ENDW

  3.016  IF           @Error
  3.017  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

  4.004  TARGET       -p
# Save LO 'leveled' amplitude for subsequent re-use during first test.
  4.005  MATH         @LO_Lvl_1 = @LO_Ampl

  4.006  HEAD         -2 Setting LO 3.5 GHz Reference Level, Please Wait...
  4.007  MATH         @LO_Freq = "3.500051GHz"
  4.008  CALL         Sub Apply /LO
  4.009  MATH         @CenterFreq = 3.500051E+9
  4.010  437          -20.00D                      3.500051GH        RF N

  4.011  WHILE        ((MEM <= -20.1) || (MEM >= -19.9)) && NOT(@Error)
  4.012  CALL         Sub Level Signal /437,LO
  4.013  ENDW

  4.014  IF           @Error
  4.015  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  5.001  MATH         @Error = 0
  5.002  END
  5.003  ENDIF

  5.004  TARGET       -p
# Save LO 'leveled' amplitude for subsequent re-use during second test.
  5.005  MATH         @LO_Lvl_2 = @LO_Ampl
  5.006  CALL         Sub Output Off /LO

  5.007  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  5.008  DISP         Disconnect Power Sensor from Power Combiner (Splitter).
  5.008  DISP
  5.008  DISP         Connect the input of the Power Splitter DIRECTLY to
  5.008  DISP         the UUT RF IN 50 Ohms, using an appropriate adapter,
  5.008  DISP         if necessary. Do NOT use a cable.
  5.008  DISP
  5.008  DISP         CAUTION: Support the Power Splitter to minimize stress
  5.008  DISP         on the UUT input connector.

  5.009  TARGET       -p
  5.010  TSET         TDESC = 600 MHz; NTHROW = 0
  5.011  VISA         SYST:PRES
  5.012  VISA         INIT:CONT OFF
  5.013  VISA         FREQ:CENT 600.151E+6;SPAN 100;:BWID:RES 30;VID 1
  5.014  VISA         DISP:WIND:TRAC:Y:RLEV -15;:POW:ATT 0;AUTO OFF
  5.015  VISA         DET:FUNC RMS;:AVER:COUN 2;STAT ON
  5.016  MATH         @SWPG_Freq = "599.951MHz"; @SWPG_Ampl = @SWPG_Lvl_1
  5.017  CALL         Sub Apply /SWPG
  5.018  MATH         @LO_Freq = "600.051MHz"; @LO_Ampl = @LO_Lvl_1
  5.019  CALL         Sub Apply /LO
  5.020  HEAD         -2 Measuring UUT 600.151 MHz TOI, Please Wait...
  5.021  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.022  VISA         CALC:MARK:Y?[I]
  5.023  MATH         UpperTOIAmpl = MEM
  5.024  HEAD         -2 Measuring UUT 599.851 MHz TOI, Please Wait...
  5.025  VISA         FREQ:CENT 599.851E+6
  5.026  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  5.027  VISA         CALC:MARK:Y?[I]

  5.028  IF           MEM > UpperTOIAmpl
  5.029  MATH         WorstDist = MEM
  5.030  ELSE
  5.031  MATH         WorstDist = UpperTOIAmpl
  5.032  ENDIF

  5.033  HEAD         -2
  5.034  MATH         MEM = (-20) + ((-20 - WorstDist) / 2)
# Uncertainty is rss accuracy of two UUT measurements.
  5.035  ACC          dBm            1.77U                                 +DW
  5.036  MEMCX        7.0dBm         -0.0U +33.0U

  6.001  TSET         TDESC = 3.5 GHz; NTHROW = 0
  6.002  VISA         FREQ:CENT 3.500151E+9
  6.003  MATH         @SWPG_Freq = "3.499951GHz"; @SWPG_Ampl = @SWPG_Lvl_2
  6.004  CALL         Sub Apply /SWPG
  6.005  MATH         @LO_Freq = "3.500051GHz"; @LO_Ampl = @LO_Lvl_2
  6.006  CALL         Sub Apply /LO
  6.007  HEAD         -2 Measuring UUT 3.500151 GHz TOI, Please Wait...
  6.008  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.009  VISA         CALC:MARK:Y?[I]
  6.010  MATH         UpperTOIAmpl = MEM
  6.011  HEAD         -2 Measuring UUT 3.499851 GHz TOI, Please Wait...
  6.012  VISA         FREQ:CENT 3.499851E+9
  6.013  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  6.014  VISA         CALC:MARK:Y?[I]

  6.015  IF           MEM > UpperTOIAmpl
  6.016  MATH         WorstDist = MEM
  6.017  ELSE
  6.018  MATH         WorstDist = UpperTOIAmpl
  6.019  ENDIF

  6.020  HEAD         -2
  6.021  MATH         MEM = (-20) + ((-20 - WorstDist) / 2)
# Uncertainty is rss accuracy of two UUT measurements.
  6.022  ACC          dBm            1.77U                                 +DW
  6.023  MEMCX        9.0dBm         -0.0U +31.0U

  7.001  ELSE         ; Applies to all MS272xB models EXCEPT MS2721B

  7.002  HEAD         -2 Setting SWPG 2.4 GHz Reference Level, Please Wait...
  7.003  MATH         @SWPG_Freq = "2.399951GHz"; @SWPG_Ampl = "+14dBm"
  7.004  MATH         @SWPG_ROSC = "Ext"
  7.005  CALL         Sub Apply /SWPG
  7.006  MATH         @CenterFreq = 599.951E+6; @RefLvl = -20; @TestLvl = +14
  7.007  MATH         @Gap = 0.1
  7.008  437          -20.00D                      2.399951GH        RF N

  7.009  WHILE        ((MEM <= -20.1) || (MEM >= -19.9)) && NOT(@Error)
  7.010  CALL         Sub Level Signal /437,SWPG
  7.011  ENDW

  7.012  IF           @Error
  7.013  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  8.001  MATH         @Error = 0
  8.002  END
  8.003  ENDIF

  8.004  TARGET       -p
  8.005  CALL         Sub Output Off /SWPG

  8.006  HEAD         -2 Setting LO 2.4 GHz Reference Level, Please Wait...
  8.007  MATH         @LO_Freq = "2.400051GHz"; @LO_Ampl = "+6dBm"
  8.008  MATH         @LO_ROSC = "Ext"
  8.009  CALL         Sub Apply /LO
  8.010  MATH         @CenterFreq = 2.400051E+9
  8.011  437          -20.00D                      2.400051GH        RF N

  8.012  WHILE        ((MEM <= -20.1) || (MEM >= -19.9)) && NOT(@Error)
  8.013  CALL         Sub Level Signal /437,LO
  8.014  ENDW

  8.015  IF           @Error
  8.016  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  9.001  MATH         @Error = 0
  9.002  END
  9.003  ENDIF

  9.004  TARGET       -p
  9.005  CALL         Sub Output Off /LO

  9.006  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  9.007  DISP         Disconnect Power Sensor from Power Combiner (Splitter).
  9.007  DISP
  9.007  DISP         Connect the input of the Power Splitter DIRECTLY to
  9.007  DISP         the UUT RF IN 50 Ohms, using an appropriate adapter,
  9.007  DISP         if necessary. Do NOT use a cable.
  9.007  DISP
  9.007  DISP         CAUTION: Support the Power Splitter to minimize stress
  9.007  DISP         on the UUT input connector.

  9.008  TARGET       -p
  9.009  TSET         TDESC = 2.4 GHz; NTHROW = 0
  9.010  VISA         SYST:PRES
  9.011  VISA         INIT:CONT OFF
  9.012  VISA         FREQ:CENT 2.400151E+9;SPAN 100;:BWID:RES 30;VID 1
  9.013  VISA         DISP:WIND:TRAC:Y:RLEV -15;:POW:ATT 0;AUTO OFF
  9.014  VISA         DET:FUNC RMS;:AVER:COUN 2;STAT ON
  9.015  CALL         Sub Apply /SWPG
  9.016  CALL         Sub Apply /LO
  9.017  HEAD         -2 Measuring UUT 2.400151 GHz TOI, Please Wait...
  9.018  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  9.019  VISA         CALC:MARK:Y?[I]
  9.020  MATH         UpperTOIAmpl = MEM
  9.021  HEAD         -2 Measuring UUT 2.399851 GHz TOI, Please Wait...
  9.022  VISA         FREQ:CENT 2.399851E+9
  9.023  CALL         Sub Anritsu MS272xB Take Sweep (MKPK)
  9.024  VISA         CALC:MARK:Y?[I]

  9.025  IF           MEM > UpperTOIAmpl
  9.026  MATH         WorstDist = MEM
  9.027  ELSE
  9.028  MATH         WorstDist = UpperTOIAmpl
  9.029  ENDIF

  9.030  HEAD         -2
  9.031  MATH         MEM = (-20) + ((-20 - WorstDist) / 2)
  9.032  ACC          dBm            1.77U                                 +DW
  9.033  MEMCX        12.0dBm        -0.0U +28.0U
 10.001  ENDIF

 10.002  MATH         @LO_ROSC = "Int"; @SWPG_ROSC = "Int"
 10.003  CALL         Sub Apply /LO
 10.004  CALL         Sub Apply /SWPG
 10.005  CALL         Sub Reset /LO
 10.006  CALL         Sub Reset /SWPG
 10.007  VISA         SYST:PRES
 10.008  HEAD
 10.009  END
