﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS272xB IEEE-488.2 Id Query VISA
DATE:                  2009-11-10
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       181
=============================================================================
#
#  Procedure Author:   DAC
#
#  Models covered:     MS2721B, MS2723B, MA2724B
#
#  Compatibility:      MET/CAL 7.20 SP3 (7.20X) or later
#
#  Subprocedures:      None
#
#  Required Files:     None
#
#  Required Equipment: None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {UUT IDENTIFICATION}
  1.003  VISA         *IDN?[I$]

# Strip leading and trailing double quotes from response.
  1.004  MATH         MEM2 = SUB(MEM2, 2, (LEN(MEM2) - 2))

  1.005  MATH         @Manufacturer = FLD(MEM2, 1, ",")
  1.006  MATH         ModelField    = FLD(MEM2, 2, ",")
  1.007  MATH         @SerialNum    = FLD(MEM2, 3, ",")
  1.008  MATH         @FirmwareRev  = FLD(MEM2, 4, ",")

  1.009  MATH         @ModelNum     = FLD(ModelField, 1, "/")

  1.010  DISP         Manufacturer:    [V @Manufacturer]
  1.010  DISP         Model:           [V @ModelNum]
  1.010  DISP         Serial Number:   [V @SerialNum]
  1.010  DISP         Firmware Level:  [V @FirmwareRev]

  1.011  RSLT         =
  1.012  RSLT         = Serial Number:   [V @SerialNum]
  1.013  RSLT         = Firmware Level:  [V @FirmwareRev]
  1.014  RSLT         = Installed Options

# Initialize all global option flags to false (not installed).
  1.015  MATH         @Opt009 = 0
  1.016  MATH         @Opt019 = 0
  1.017  MATH         @Opt020 = 0
  1.018  MATH         @Opt025 = 0
  1.019  MATH         @Opt027 = 0
  1.020  MATH         @Opt030 = 0
  1.021  MATH         @Opt031 = 0
  1.022  MATH         @Opt032 = 0
  1.023  MATH         @Opt033 = 0
  1.024  MATH         @Opt034 = 0
  1.025  MATH         @Opt035 = 0
  1.026  MATH         @Opt037 = 0
  1.027  MATH         @Opt038 = 0
  1.028  MATH         @Opt040 = 0
  1.029  MATH         @Opt041 = 0
  1.030  MATH         @Opt042 = 0
  1.031  MATH         @Opt043 = 0
  1.032  MATH         @Opt044 = 0
  1.033  MATH         @Opt045 = 0
  1.034  MATH         @Opt046 = 0
  1.035  MATH         @Opt047 = 0
  1.036  MATH         @Opt060 = 0
  1.037  MATH         @Opt061 = 0
  1.038  MATH         @Opt062 = 0
  1.039  MATH         @Opt063 = 0
  1.040  MATH         @Opt064 = 0
  1.041  MATH         @Opt065 = 0
  1.042  MATH         @Opt066 = 0
  1.043  MATH         @Opt067 = 0
  1.044  MATH         @Opt078 = 0
  1.045  MATH         @Opt089 = 0
  1.046  MATH         @Opt090 = 0

  1.047  MATH         Field = 2

  1.048  DO
  1.049  MATH         OptNum = FLD(ModelField, Field, "/")

  1.050  IF           NOT(EMPTY(OptNum))

  1.051  IF           ZCMP(OptNum, "9")
  1.052  MATH         @Opt009 = 1; OptName = "IQ Demodulation Hardware"
  1.053  ELSEIF       ZCMP(OptNum, "19")
  1.054  MATH         @Opt019 = 1; OptName = "High Accuracy Power Meter"
  1.055  ELSEIF       ZCMP(OptNum, "20")
  1.056  MATH         @Opt020 = 1; OptName = "Tracking Generator"
  1.057  ELSEIF       ZCMP(OptNum, "25")
  1.058  MATH         @Opt025 = 1; OptName = "Interference Analysis"
  1.059  ELSEIF       ZCMP(OptNum, "27")
  1.060  MATH         @Opt027 = 1; OptName = "Channel Scanner"
  1.061  ELSEIF       ZCMP(OptNum, "30")
  1.062  MATH         @Opt030 = 1; OptName = "ISDB-T Digital Video Meas."
  1.063  ELSEIF       ZCMP(OptNum, "31")
  1.064  MATH         @Opt031 = 1; OptName = "GPS"
  1.065  ELSEIF       ZCMP(OptNum, "32")
  1.066  MATH         @Opt032 = 1; OptName = "ISDB-T SFN Measurement"
  1.067  ELSEIF       ZCMP(OptNum, "33")
  1.068  MATH         @Opt033 = 1; OptName = "cdmaOne and CDMA2000 1xRTT OTA"
  1.069  ELSEIF       ZCMP(OptNum, "34")
  1.070  MATH         @Opt034 = 1; OptName = "EVDO OTA Measurements"
  1.071  ELSEIF       ZCMP(OptNum, "35")
  1.072  MATH         @Opt035 = 1; OptName = "W-CDMA/HSDPA OTA Measurements"
  1.073  ELSEIF       ZCMP(OptNum, "37")
  1.074  MATH         @Opt037 = 1; OptName = "Mobile WiMAX OTA Measurements"
  1.075  ELSEIF       ZCMP(OptNum, "38")
  1.076  MATH         @Opt038 = 1; OptName = "TD-SCDMA OTA Measurements"
  1.077  ELSEIF       ZCMP(OptNum, "40")
  1.078  MATH         @Opt040 = 1; OptName = "GSM/GPRS/EDGE RF Measurements"
  1.079  ELSEIF       ZCMP(OptNum, "41")
  1.080  MATH         @Opt041 = 1; OptName = "GSM/GPRS/EDGE Demodulation"
  1.081  ELSEIF       ZCMP(OptNum, "42")
  1.082  MATH         @Opt042 = 1; OptName = "CDMA RF Measurements"
  1.083  ELSEIF       ZCMP(OptNum, "43")
  1.084  MATH         @Opt043 = 1; OptName = "cdmaOne & CDMA2000 1xRTT Demod"
  1.085  ELSEIF       ZCMP(OptNum, "44")
  1.086  MATH         @Opt044 = 1; OptName = "W-CDMA/HSDPA RF Measurements"
  1.087  ELSEIF       ZCMP(OptNum, "45")
  1.088  MATH         @Opt045 = 1; OptName = "W-CDMA Demodulation"
  1.089  ELSEIF       ZCMP(OptNum, "46")
  1.090  MATH         @Opt046 = 1; OptName = "Fixed WiMAX RF Measurements"
  1.091  ELSEIF       ZCMP(OptNum, "47")
  1.092  MATH         @Opt047 = 1; OptName = "Fixed WiMAX Demodulation"
  1.093  ELSEIF       ZCMP(OptNum, "60")
  1.094  MATH         @Opt060 = 1; OptName = "TD-SCDMA RF Measurements"
  1.095  ELSEIF       ZCMP(OptNum, "61")
  1.096  MATH         @Opt061 = 1; OptName = "TD-SCDMA Demodulation"
  1.097  ELSEIF       ZCMP(OptNum, "62")
  1.098  MATH         @Opt062 = 1; OptName = "EVDO RF Measurements"
  1.099  ELSEIF       ZCMP(OptNum, "63")
  1.100  MATH         @Opt063 = 1; OptName = "EVDO Demodulation"
  1.101  ELSEIF       ZCMP(OptNum, "64")
  1.102  MATH         @Opt064 = 1; OptName = "DVB-T/H Measurements"
  1.103  ELSEIF       ZCMP(OptNum, "65")
  1.104  MATH         @Opt065 = 1; OptName = "W-CDMA/HSDPA Demodulation"
  1.105  ELSEIF       ZCMP(OptNum, "66")
  1.106  MATH         @Opt066 = 1; OptName = "Mobile WiMAX RF Measurements"
  1.107  ELSEIF       ZCMP(OptNum, "67")
  1.108  MATH         @Opt067 = 1; OptName = "Mobile WiMAX Demodulation"
  1.109  ELSEIF       ZCMP(OptNum, "78")
  1.110  MATH         @Opt078 = 1; OptName = "DVB-T/H SFN Measurement"
  1.111  ELSEIF       ZCMP(OptNum, "89")
  1.112  MATH         @Opt089 = 1; OptName = "IF Output"
  1.113  ELSEIF       ZCMP(OptNum, "90")
  1.114  MATH         @Opt090 = 1; OptName = "Gated Sweep"
  1.115  ELSE
  1.116  MATH         OptName = "Unrecognized!"
  1.117  ENDIF

  1.118  MATH         L[1] = LEN(OptNum)

  1.119  IF           L[1] == 1
  1.120  MATH         Prefix = "00"
  1.121  ELSEIF       L[1] == 2
  1.122  MATH         Prefix = "0"
  1.123  ELSE
  1.124  MATH         Prefix = ""
  1.125  ENDIF

  1.126  RSLT         =   [V @ModelNum]-[V Prefix][V OptNum]:   [V OptName]
  1.127  ENDIF        ; NOT(EMPTY(OptNum))

  1.128  MATH         Field = Field + 1
  1.129  UNTIL        EMPTY(OptNum)

  1.130  END
