﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Select Configured Manual Standard
DATE:                  2009-11-20
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       111
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Any
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use retrieving the "Instrument Name" of a
#  configured manual standard, regardless of the device type, etc. The List
#  Box 'Title Bar' and 'Static Text' information are passed from the calling
#  procedure via the variables, "@LbTitle" and "@LbHead", respectively.
#
#  Example:
# 1.001  MATH         @LbTitle = "Power Splitter Type Selection"
# 1.002  MEM2         =Select REQUIRED Agilent 11667A Power Splitter below:
# 1.003  MATH         @LbText = MEM2
# 1.004  CALL         Sub Select Configured Manual Standard
# 1.005  MATH         RefStd = @Device
#
# 1.006  IF           @Error
# 1.007  DISP         Procedure aborted!
# 1.008  END
# 1.009  ENDIF
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  LABEL        SELECT
  1.002  MATH         IdType = LBNEW(@LbTitle)
  1.003  MATH         LBTEXT(IdType, @LbText)
  1.004  MATH         LBTEXT(IdType, "")
  1.005  MEM2         =NOTE: If the required device is not shown below, select
  1.006  MATH         LBTEXT(IdType, MEM2)
  1.007  MEM2         ="Cancel", followed by "Yes". Add the required device to
  1.008  MATH         LBTEXT(IdType, MEM2)
  1.009  MEM2         =the instrument configuration. Re-execute the procedure
  1.010  MATH         LBTEXT(IdType, MEM2)
  1.011  MEM2         =from the beginning.
  1.012  MATH         LBTEXT(IdType, MEM2)
  1.013  MATH         LBCONF(IdType, "+SelReq, +ok, -term, -border")

  1.014  MATH         FilePath = INI("Startup", "config")
  1.015  MATH         Counter = 1

  1.016  DO
  1.017  MATH         Line = READ(FilePath, Counter)

# Isolate manual from remote standards based on lack of remote address info.
  1.018  IF           LEN(FLD(Line, 1, ":")) == 0

# If configured instrument has asset number appended, strip it off.
  1.019  IF           FIND(Line, "{", 1)
  1.020  MATH         Line = STRIP(SUB(Line, 1, (FIND(Line, "{", 1) - 1)))
  1.021  ENDIF

# Strip off leading colon (:) from the Instrument Name.
  1.022  MATH         Line = SUB(Line, (FIND(Line, ":", 1) + 1), LEN(Line))
  1.023  MATH         LBADD(IdType, Line)
  1.024  ENDIF

  1.025  MATH         Counter = Counter + 1
  1.026  UNTIL        EOF(FilePath)

  1.027  MATH         Selection = LBSHOW(IdType)

  1.028  IF           Selection > 1

  1.029  OPBR         -z You have chosen "Cancel" without selecting
  1.029  OPBR         an appropriate configured manual standard.
  1.029  OPBR
  1.029  OPBR         Failure to select a reference device will
  1.029  OPBR         abort the procedure.
  1.029  OPBR
  1.029  OPBR         Are you SURE?
  1.030  JMPL         SELECT                       NOT(MEM1)

  1.031  MATH         @Error = 1
  1.032  END
  1.033  ELSE
  1.034  MATH         @Error = 0
  1.035  ENDIF

  1.036  MATH         @Device = STRIPL(LBGETSEL(IdType, 1))
  1.037  END
